<?

class BaseObject {

var $d_serializeKey;
var $d_referenceKey = -1;
var $d_references = array();

function BaseObject() {
}

/**
  *                                                                 
  *                                                 
  **/
function toString() {
}

function& _getClassVars()
{
$names = get_class_vars(get_class($this));
$ret = array();
foreach ( $names as $key=>$name )
{
$ret[$key] =& $this->$key;
}
return $ret;
}

function _setClassVars( &$vars )
{
foreach ( $vars as $key=>$var )
{
$this->$key =& $vars[$key];
}
}

function _static_($set = FALSE)
{
static $statics = array();
if ( isset( $statics[get_class($this)] ) )
{
$this->_setClassVars( $statics[get_class($this)] );
return TRUE;
}
if ( $set )
{
$statics[get_class($this)] = &$this->_getClassVars();
}
return FALSE;
}

/**
  *                                                     
  **/
function setOuterClass(&$class) {
$this->setObjectRef("outerclass", $class);
}

function &getOuterClass() {
return $this->getObjectRef("outerclass");
}

function __sleep() {
global $NODE_OBJ_REFS_ASLEEP;
$rs = $this->getSerializeKey();
$ret = array();
if ($rs == NULL) {
$this->d_serializeKey = NULL;
$vars = get_object_vars($this);
foreach($vars as $var=>$val) { $ret[] = $var; }
} else {
$this->d_serializeKey= $rs;
$ret = array("d_serializeKey");
}
$ret[] = "d_referenceKey";
$ret[] = "d_references";

if ( $this->d_referenceKey != -1 )
{
$NODE_OBJ_REFS_ASLEEP[$this->d_referenceKey] = TRUE;
}
return $ret;
}

function __wakeup() {
global $NODE_OBJ_REFS_ASLEEP;
$this->initFromSerializeKey($this->d_serializeKey);
unset( $this->d_serializeKey );

if ( $this->d_referenceKey != -1 )
{
//                         
 $NODE_OBJ_REFS_ASLEEP[$this->d_referenceKey] = FALSE;
}
}

function _dumpObjectRefs($includeVarDump = false)
{
global $NODE_OBJ_REFS;
foreach ( $this->d_references as $key=>$id )
{
echo "OBJREF ($key) is class ".get_class($NODE_OBJ_REFS[$id])."<br>\n";
if ( $includeVarDump )
{
var_dump( $NODE_OBJ_REFS[$id] );
echo "<hr>";
}
}
}

function unsetObjectRef( $key )
{
unset( $this->d_references[$key] );
}

function setObjectRef( $key, &$obj )
{
$this->d_references[$key] = node_object_register($obj);
return $this->d_references[$key];
}

function& getObjectRef( $key )
{
global $NODE_OBJ_REFS, $NODE_OBJ_REFS_ASLEEP;
if ( !isset( $this->d_references[$key] ) )
return NULL;
if ( $NODE_OBJ_REFS_ASLEEP[$this->d_references[$key]] )
{
decho ("WARNING: accessing asleep object ($key = ".$this->d_references[$key].")", "warn");
}
return $NODE_OBJ_REFS[$this->d_references[$key]];
}


/**
  *                         
  * 
  *                                                         
  *                                                                           
  * 
  *                   
  *               
  **/
function assignVars( $vars, $serializeVars=array() )
{
$ret = array();
foreach ( $vars as $key=>$var )
{
$ret[$var] = $this->{$var};
}
foreach ( $serializeVars as $key=>$var )
{
$ret[$var] = node_serialize( $this->{$var} );
}
return $ret;
}

/**
  *                          
  *
  *                    
  *  
  *             
  *                              
  *         
  **/
function restoreVars( $sKey, $vars, $serializeVars=array() )
{
foreach ( $vars as $var )
{
$this->{$var} = $sKey[$var];
}
foreach ( $serializeVars as $var )
{
$this->{$var} =& node_unserialize( $sKey[$var] );
}
}

/**
  *                                                 
  * 
  *        
  *                                                                                                                              
  **/
function addDebugMessage( $message, $details="", $forceDebug = false )
{
static $recursiveKiller=0;
global $ICO_BUG, $DEBUG;
if ( !$DEBUG["echo"] && !$forceDebug) return;
if ( $recursiveKiller > 0 ) return;
$recursiveKiller++;
node_class( "debugstreaminfo" );
//                                                                                         
 if (class_exists("DebugStreamInfo")) {
$debug = new DebugStreamInfo();
$debug->addMessage(0, $ICO_BUG, $message, $details );
}
$recursiveKiller--;
}

/**
  *                                                                                      
  *
  *                                                                           
  *                                                                                                            
  *                                              
  *                                                                                          
  **/
function getSerializeKey() { }

/**
  *                                                                          
  * 
  *                                                                            
  *                                                  
  *                                 
  **/
function initFromSerializeKey( $key ) { }

/**
  *                                                                                                              
  **/
function cleanupSerializeKey( $key ) { }
}

class EditableBaseObject extends BaseObject {
//
 //                                                               
 //                                   

/**
  *                                                                                         
  *
  *                                                                                                 
  *                                                                                          
  *
  *                                                                
  **/
function getValueFields() {
return NULL;
}

/**
  *                                                                                 
  *
  *                                                                                  
  *
  *                                                  
  **/
function &getFormObject() { return NULL; }

/**
  *                                                  
  *
  *                                                                                                     
  *                                               
  **/
function checkErrors() { }

function canInsert() { return true; }

function canUpdate() { return true; }

function canDelete() { return true; }
function isNew() { return true;	}

function isInitialized() { return false; }

function isModified() { return false; }

function create() { }


/**
  *                            
  *
  *                                                         
  *                                                                          
  *                                                                                                                         
  *                                                                          
  *                                                                                    
  *                                                                                                                       
  *                                                                                               
  *
  *                                                         /                                                      
  *
  **/
function save() { }

function delete() { }

function getErrors() { }

function resetErrors() { }

}

/**
 *                             
 **/
class NodeObject extends EditableBaseObject {

var $d_objectIsNew;
var $d_objectIsModified;
var $d_objectIsInitialized;
var $d_objectErrors;
var $d_objectFieldValues;
var $d_objectLoadedFieldValues;

/**
  *                                                                       
  *                                       
  */
var $viewLinkParams;

/**
  *            
  **/
function NodeObject( $id = 0 ) {
parent::BaseObject();
$this->d_objectErrors = array();
$this->d_objectFieldValues = array();
$this->d_objectIsNew = true;
$this->d_objectIsModified = false;
$this->d_objectIsInitialized = false;
if ( $id ) $this->setID( $id );
}

function getTypeName() {
global $T_TYPE;
return $T_TYPE[$this->getTType()]["name"];
}

/**
  *                                                                         
  */
function getViewLink() {
global $STAG;
if ($this->viewLinkParams) {
return "<a href=\"$STAG&" . $this->viewLinkParams . "\">" . $this->getDisplayName() . "</a>";
} else {
return $this->getDisplayName();
}
}

//                                                                                                       
 function __getSerializeKey()
{
$ret = $this->assignVars(array("d_objectIsNew", "d_objectIsModified", "d_objectIsInitialized",
"d_objectErrors" ), array("d_objectFieldValues", "d_objectLoadedFieldValues" ));
$ret["parent"] = parent::getSerializeKey();

return $ret;
}

function __initFromSerializeKey( $key )
{
parent::initFromSerializeKey($key["parent"]);
$this->restoreVars( $key, array("d_objectIsNew", "d_objectIsModified", "d_objectIsInitialized",
"d_objectErrors" ),  array( "d_objectFieldValues", "d_objectLoadedFieldValues")  );
}

/**
  *                                    
  **/
function getTType() {}

/**
  *                          
  **/
function getID() {}

function setID( $id ) {
//                                                                                    
 //                
 if ($id == $this->getID()) return;
if (!$this->isNew()) $this->_clearValues();
$this->_setId( $id );
if ($id) $this->_setExists();
}

/**  
  *                                                                                                                    
  *                                        
  */
function _setID( $id ) {}

/**
  *                                                        
  *                                                              
  */
function setViewLinkParams($params) {
$this->viewLinkParams = $params;
}

function getIcon() {}

/**
   *                                                                                                      /                        
   *                                                                         /
   *                                                                  
   *                                                                                    
   */
function getFolderPath($maxentries = 6) {
return "";
}

/**
  *                           
  * 
  *                                                                                                     
  *                                                                                        
  *
  *         
  **/
function getObjectKey() { return $this->getID(); }
function getObjectName() { return $this->getObjectKey(); }

/**
  *                               
  * 
  *                                                                             
  * 
  *                                                                      
  **/
function getPropertyNames() 
{
return array( "type"=>i18n("Type"), "id"=>i18n("ID") ); 		
}

/**
  *                                                     
  *                                         
  *                                                                     
  **/
function getProperty( $key ) {
switch ( $key ) {
case "type":
$class = new StringObject($this->getTType());
break;
case "id":
$class = new StringObject($this->getID());
break;
default:
$class = new NodeException("NodeObject: Property ($key) not defined.");
}
return $class;
}

function toString()
{
return "Type = ".$this->getTType().", ID = ".$this->getID();
}

/**
  *                            
  * 
  *                                                                                         
  * 
  *              
  *           
  *                   
  *                 
  *                    
  *              
  *                                                                                                                     
  *         
  **/
function onEventNotify( $TType, $id, $changeType, $linkType, $eventObject, $depth, $simulate ) {}

/**
  *                                  
  * 
  *                                                                 
  * 
  *              
  *           
  *                   
  *                    
  *              
  *                                                                                                                     
  *         
  **/
function onStaticEventNotify( $TType, $id, $changeType, $eventObject, $depth, $simulate ) {}


//                                     
 
function isNew() {
//                             
 return $this->d_objectIsNew || !$this->getID();
}

function isInitialized() {
return $this->d_objectIsInitialized;
}

function isModified() {
return $this->d_objectIsModified;
}

function create() {
//                              
 $this->d_objectIsNew = true;
$this->setID(0);
return true;
}


/**
  *                            
  *
  *                                                         
  *                                                                          
  *                                                                                                                         
  *                                                                          
  *                                                                                    
  *                                                                                                                       
  *                                                                                               
  *
  *                                                         /                                                      
  *
  **/
function save() {
$this->resetErrors();

if ($this->isNew()) {
if (!$this->canInsert()) return false;
} else {
if (!$this->canUpdate()) return false;
}

$this->checkErrors();

if ($this->getErrors()) return false;

if ($this->isNew()) {
$this->onBeforeInsertObject();
$rs = $this->_insertObject();
$this->onInsertObject();
} else {
if (!$this->_initializeObject()) return false;
$this->onBeforeUpdateObject();
$rs = $this->_updateObject();
$this->onUpdateObject();
}
if ($rs) {
$this->d_objectIsModified = false;
$this->d_objectIsNew = false;
}
$this->_setStoredValues("save");
return $rs;
}

function delete() {
if ($this->isNew) {
return $this->create();
} else {
if (!$this->canDelete()) return false;

$this->onBeforeDeleteObject();
if ($this->_deleteObject()) {
$this->onDeleteObject();
$this->create();
return true;
}
}
return false;
}

function getErrors() {
if (count($this->d_objectErrors) > 0) return $this->d_objectErrors;
else return false;
}

function resetErrors() {
$this->d_objectErrors = array();
}

function initFromID(){
return $this->_initializeObject();
}

function initFromResultSet($row, $prefix = "", $initOnly = false) {
$fields = $this->getValueFields();
if ($fields === NULL) {
decho( "WARNING: class (".get_class($this).") does not implement getValueFields()." );
$this->addDebugMessage( "class (".get_class($this).") does not implement getValueFields().");
return false;
}

foreach ($row as $field=>$value) {
if ($prefix && substr($field, 0, strlen($prefix)) == $prefix) {
$field = substr($field, strlen($prefix));
}
if (!isset($fields[$field])) continue;
$this->setFieldValue($field, $value, $initOnly);
}
if ( isset( $row["id"] ) ) $this->setID($row["id"]);
$this->_setStoredValues("initFromResultSet");
return true;
}

/**
  *                                                                                       
  *
  *                     
  *               
  */
function getStoredFieldValue($field) {
if ( $this->isNew() ) return "";

return $this->d_objectLoadedFieldValues[$field];
}

/**
  *                                                                    
  *
  *                                                                                         
  *        
  * 
  *                                                                              
  *                                                                                  
  **/
function getFieldValue($field) {
if (!isset($this->d_objectFieldValues[$field])) $this->_initializeObject();
return $this->d_objectFieldValues[$field];
}

/**
  *                                             
  *
  *                                                                                      
  **/
function setFieldValue($field, $val, $initOnly = false) {
$isset = isset($this->d_objectFieldValues[$field]);
if (!$isset || (!$initOnly && $this->d_objectFieldValues[$field] !== $val)) {
$this->d_objectFieldValues[$field] = $val;
$this->d_objectIsModified = true;
}
}

function exportXml($indent = "") {
$fields = $this->getValueFields();

if ($fields === NULL) return false;

$xml = "$indent<attributes>\n";

foreach ($fields as $field=>$type) {
if ($type == "id") continue;
$value = $this->getFieldValue($field);
$val = "";

if ($type == "dic") {
$val .= "\n";

$sql = "SELECT dicuser.value, language.name FROM dicuser, language WHERE dicuser.language_id = language.id AND dicuser.output_id = ".((int)$value);
$rs = query($sql);//            
 
foreach ($rs["arr"] as $row) {
$val .= "$indent\t\t<dic language=\"".$row["name"]."\"><![CDATA[".$row["value"]."]]></dic>\n";
}

$val .= "$indent\t";
} else if ($type == "userid") {
//                                                                            /                            
 $sql = "SELECT login, firstname, lastname FROM systemuser WHERE id = \"".sqlslashes($value)."\"";
$rs = query($sql);//            
 $row = $rs["arr"][0];

if ($row) {
$val = "\n";
$val .= "$indent\t\t<login>".$row["login"]."</login>\n";
$val .= "$indent\t\t<firstname>".$row["firstname"]."</firstname>\n";
$val .= "$indent\t\t<lastname>".$row["lastname"]."</lastname>\n";
$val .= "$indent\t";
}
} else if ($type == "int" || $type == "bool" || $type == "timestamp") {
$val = $value;
} else {

$val = str_replace("[CDATA[", "#[CDATA[",  $value);
$val = str_replace("]]", "]]#", $val);
$val = "<![CDATA[$val]]>";
}

$xml .= "$indent\t<field name=\"$field\" type=\"$type\">$val</field>\n";
}

$xml .= "$indent</attributes>\n";

return $xml;
}

function importXmlStruct($xml) {
$fields = $xml["childs"]["field"];
foreach ($fields as $f) {
$type = $f["attributes"]["TYPE"];
$field = $f["attributes"]["FIELD"];
$value = $f["value"];

$val = "";

if ($type == "dic") {
$sql = "INSERT INTO outputuser (info) VALUES (1)";
$rs = query($sql);//            
 $val = $rs["iid"];

$dic = $f["childs"]["dic"];
foreach ($dic as $entry) {
$language = $entry["attributes"]["LANGUAGE"];
$txt = $entry["value"];

$sql = "SELECT id FROM language WHERE name = \"".sqlslashes($language)."\"";
$rs = query($sql);//            
 if ($rs["num"] == 1) {
$sql = "INSERT INTO dicuser (output_id, language_id, value) VALUES (".sqlf_tl_num($val).", ".sqlf_tl_num($rs["arr"][0]["id"]).", \"".sqlslashes($txt)."\")";
query($sql);//            
 }
}
} else if ($type == "userid") {
//                                            
 $val = 0;
} else if ($type == "int" || $type == "bool" || $type == "timestamp") {
$val = $value;
} else {
$val = str_replace("]]#", "]]", $value);
$val = str_replace("#[CDATA[", "[CDATA[", $val);				
}

$this->setFieldValue($field,$val);
}
}

//                                                 
 function _idToDicUser( $id )
{
node_class('dichelper');
return DicHelper::getUserEntry( $id );
}

/**
  *                                                                       
  *
  *           
  *                                                              
  *                                     
  **/
function _setError(&$exception, $field = "") {
$this->d_objectErrors[$field][] =& $exception;
}

function _initializeObject() {
if ($this->d_objectIsInitialized) return true;

if ($this->isNew()) {
if ($this->_initDefaults()) {
$this->d_objectIsInitialized = true;
return true;
}
} else {
if ($this->_initObject()) {
$this->d_objectIsInitialized = true;
return true;
}
}
$this->_setStoredValues("_initializeObject");
return false;
}

/**
  *                                                                       
  *
  *                                   
  **/
function _clearValues() {
$this->d_objectIsModified = false;
$this->d_objectIsInitialised = false;
$this->d_objectLoadedFieldValues = array();
$this->d_objectFieldValues = array();
}

/**
  *                                       
  *
  *                                                                                   /             
  **/
function _setModified() {
$this->d_objectIsModified = true;
}

/**
  *                                                                                               
  *             
  *
  *
  */
function _setStoredValues($origin = "unknown")
{
//                                                                                            
 $this->d_objectLoadedFieldValues = array();
foreach ( $this->d_objectFieldValues as $key=>$val )
{
$this->d_objectLoadedFieldValues[$key] = $val;
}
}

function _setExists() {
$this->d_objectIsNew = false;
}

//                                                             

/**
  *                                                                                                        
  **/
function _getNodeTable() {}

function _storeUserInfo() { return false; }

function _initObject() {
if (!($table = $this->_getNodeTable())) {
$this->_setError(new NodeException("initObject not implemented."));
return false;
}
if (!$this->getID()) {
$this->_setError(new NodeException("initObject: empty id"));
return false;
}
$sql = "SELECT * FROM ".sqlf_table($table)." WHERE id = ".sqlf_tl_num($this->getID());
$rs = query($sql);//            
 if ($rs["num"] == 0) {
$this->_setError(new NodeException("initObject: could not find object for id (".$this->getID().") in $table."));
return false;
} else {
return $this->initFromResultSet($rs["arr"][0], "", true);
}
}

function _initDefaults() {
return true;
}

function onBeforeInsertObject() {}

function onInsertObject() {}

function _insertObject() {
global $USER_ID, $TIME, $W_CREATE;

if (!($table = $this->_getNodeTable())) {
$this->_setError(new NodeException("initObject not implemented."));
return false;
}
$fields = $this->getValueFields();
if ($fields === NULL) return false;

$sqlfield = "";
$sqlvalue = "";
foreach($fields as $field=>$type) {
if ($sqlfield) $sqlfield .= ",";
if ($sqlvalue) $sqlvalue .= ",";
$sqlfield .= sqlf_field($field);
$sqlvalue .= "\"".sqlslashes($this->getFieldValue($field))."\"";
}
if ($this->_storeUserInfo()) {
if ($sqlfield) $sqlfield .= ",";
if ($sqlvalue) $sqlvalue .= ",";
$sqlfield .= "editor, edate, creator, cdate";
$sqlvalue .= sqlf_tl_num($USER_ID).", ".sqlf_tl_num($TIME).", ".sqlf_tl_num($USER_ID).", ".sqlf_tl_num($TIME);
}
$sql = "INSERT INTO ".sqlf_table($table)." ($sqlfield) VALUES ($sqlvalue)";
$rs = query($sql);//            
 $this->setID($rs["iid"]);

///                                      
 
return true;
}

function onBeforeUpdateObject() {}

function onUpdateObject() {}

function _updateObject() {
global $USER_ID, $TIME, $W_EDIT;

if (!($table = $this->_getNodeTable())) {
$this->_setError(new NodeException("initObject not implemented."));
return false;
}

$fields = $this->getValueFields();
if ($fields === NULL) return false;

$sqlval = "";
foreach($fields as $field=>$type) {
//                             
 if (!$type) continue;
if ($sqlval) $sqlval .= ",";
$sqlval .= " ".sqlf_field($field)." = \"".sqlslashes($this->getFieldValue($field))."\"";
}
if ($this->_storeUserInfo()) {
if ($sqlval) $sqlval .= ",";
$sqlval .= " editor = ".sqlf_tl_num($USER_ID).", edate = ".sqlf_tl_num($TIME);
}	
$sql = "UPDATE ".sqlf_table($table)." SET $sqlval WHERE id = ".sqlf_tl_num($this->getID());
query($sql);//            
 return true;
}

function onBeforeDeleteObject() {}

function onDeleteObject() {}

function _deleteObject() {
if (!($table = $this->_getNodeTable())) {
$this->_setError(new NodeException("initObject not implemented."));
return false;
}

$sql = "DELETE FROM ".sqlf_table($table)." WHERE id = ".sqlf_tl_num($this->getID());
query($sql);//            

return true;
}


/**
   *                                                                 
   */
function copyFieldValues(&$target) {
$fields = $this->getValueFields();
foreach( $fields as $key => $v ) {
//                                                                        /   
 $target->setFieldValue( $key, $this->getFieldValue( $key ) );
}
}
}

class NodeFormObject extends BaseObject {

/**                             */
var $nodeObject;

function NodeFormObject(&$nodeObject) {
$this->nodeObject =& $nodeObject;
}

function &getEditObject() {
return $this->nodeObject;
}

function getSerializeKey() {
$rs = array("parent"=>parent::getSerializeKey(), "nodeObject"=>node_serialize($this->nodeObject));
return $rs;
}

function initFromSerializeKey($key) {
parent::initFromSerializeKey($key["parent"]);
$this->nodeObject =& node_unserialize($key["nodeObject"]);
}

function isNew() {
return $this->nodeObject->isNew();
}

function getValueFields() {
return $this->nodeObject->getValueFields();
}

function getStoredFieldValue($field) {
return $this->nodeObject->getStoredFieldValue($field);
}

function &getFieldValue($field) {
return $this->nodeObject->getFieldValue($field);
}

function setFieldValue($field, $value, $initOnly = false) {
return $this->nodeObject->setFieldValue($field, $value, $initOnly);
}

function save() {
return $this->nodeObject->save();
}

//              
 //                                                                                     
 /**
  *                             
  * 
  *                                      
  * 
  *                                           
  **/
function getListHeaders() { return array(); }

/**
  *                                                                                               
  **/
function getFieldDescriptions() { return array(); }

function getFieldLabels() { return array(); }

/**
  *                                                  
  *
  *                                                                                  
  **/
function isEditableField($field) { return true; }

function isOptionalField($field) { return false; }

/**
  *                                                                                                             
  *
  *                                                                                                                      
  *                                                                                  
  *                                                                                      /                  
  **/
function &getFormComponent($field) { }

/**
  *                                                                                        
  **/
function storeFormComponent($field, &$component) { }

/**
  *                                                                                                              
  *                                                                            
  */
function &getCollectionComponent() {
$fields = $this->getValueFields();
$ret = new ListComponent();
foreach ( array_keys($fields) as $field )
{
$ret->setComponent( $field, $this->getFormComponent($field) );
}
return $ret;
}

function storeCollectionComponent( &$component ) {
$fields = $this->getValueFields();
$ret = new CollectionComponent();
foreach ( array_keys($fields) as $field )
{
$this->storeFormComponent( $field, $component->getComponent($field) );
}
}


}

class ObjectFactory extends BaseObject {

var $objects;

function ObjectFactory() {
$this->objects = array();
}

function register() {
global $OBJECT_FACTORY;
mysession_var_reg("OBJECT_FACTORY");
if (!is_object($OBJECT_FACTORY)) {
$OBJECT_FACTORY = new ObjectFactory();
}
}

function &getObjectFactory() {
global $OBJECT_FACTORY;
if (!isset($OBJECT_FACTORY)) {
ObjectFactory::register();
}
return $OBJECT_FACTORY;
}

function storeObject($class, $key, &$object, $session = false) {
$ob =& ObjectFactory::getObjectFactory();
return $ob->_storeObject($class, $key, $object, $session);
}

function &loadObject($class, $key) {
$ob =& ObjectFactory::getObjectFactory();
return $ob->_loadObject($class, $key);
}

function _storeObject($class, $key, &$object, $session) {
$k = "$class�$key";
unset($this->objects[$k]["o"]);
$this->objects[$k]["o"] =& $object;
$this->objects[$k]["session"] = $session;
}

function &_loadObject($class, $key) {
$k = "$class�$key";
if (!isset($this->objects[$k])) return NULL;
if (!isset($this->objects[$k]["o"])) {
$this->objects[$k]["o"] =& node_unserialize($this->objects[$k]["s"]);
unset($this->objects[$k]["s"]);
}
return $this->objects[$k]["o"];
}

function getSerializeKey() {
$rs = array();
foreach ($this->objects as $key=>$obj) {
if ($obj["session"]) $rs[$key] = $obj["o"]?node_serialize($obj["o"]):$obj["s"];
}
return $rs;
}

function initFromSerializeKey($key) {
$this->objects = array();
if (!is_array($key)) return;
foreach ($key as $k=>$val) {
$this->objects[$k] = array("s"=>$val, "session"=>true);
}
}
}

class StringObject extends BaseObject {

var $d_string;

function StringObject($string = "") {
parent::BaseObject();
$this->d_string = $string;
}

function setString($string) {
$this->d_string = $string;
}

function getString() {
return $this->d_string;
}

function toString() {
return $this->d_string;
}

}

class EMessage extends BaseObject {

var $d_message;
var $d_detailMessage;

function EMessage($message = "", $detailMessage="", $nestedMessage = NULL) {
global $DEBUG, $ICO_EMESSAGE, $USER_ID, $STREAMINFO_DEBUG;
parent::BaseObject();
$this->d_message = $message;
$this->d_detailMessage = $detailMessage;
//                                                                         
 if (($USER_ID == 1 || $DEBUG["echo"]) && $STREAMINFO_DEBUG["exception"]) {
node_class("debugstreaminfo");
$alert = new DebugStreamInfo();
$alert->addMessage(0, $ICO_EMESSAGE, get_class($this).": ".$message, $detailMessage);
}
}

function getMessage() {
return $this->d_message;
}

function getDetailMessage() {
return $this->d_detailMessage;
}

function toString() {
return $this->d_message;
}

}

class NodeException extends EMessage {

function NodeException($exception = "", $detailMessage = "", $nestedException = NULL) {
parent::EMessage($exception, $detailMessage, $nestedException);
}
}

class EWarning extends EMessage {

function EWarning($warning = "", $nestedWarning = NULL) {
parent::EMessage($warning, $detailMessage = "", $nestedWarning);
}
}

class SearchableObject extends NodeObject {
function listObjects($objecttype, $objectid) {
return $this->searchInObject($objecttype, $objectid);
}

function searchInObject($objecttype, $objectid, $searchterm=null, $recursive=false, $fulltext=false) {
if (! in_array($objecttype, $this->getParentTType())) {
return null;
}
$sql = "SELECT " . $this->_getNodeTable() . ".*, $objecttype as parentobjecttype, $objectid as parentobjectid FROM " . $this->_getNodeTable();
$baseFilter = $this->_getBaseFilter();
$searchFilter = $this->_getSearchFilter($searchterm);
if ($baseFilter || $searchFilter) {
$sql .= " WHERE ";
}
if ($baseFilter) {
$sql .= " " . $baseFilter . " ";
}
if ($searchFilter) {
if ($baseFilter) {
$sql .= " AND ";
}
$sql .= " " . $searchFilter . " ";
}
$sql .= " GROUP BY " . sqlf_table($this->_getNodeTable()) . ".id";
$rs = query($sql);//            
 return $this->_processResultSet($rs, $searchterm);
}

function _processResultSet($rs, $searchTerm = null) {
$ret = array();
foreach ($rs['arr'] as $row) {
$o =& NodeFactory::getStaticInstanceOf($this->getTType(), $row['id']);
if (! $o->isInitialized()) {
$o->initFromResultSet($row, "", true);
}
$parentObjectId = $row['parentobjectid'];
$parentObjectType = $row['parentobjecttype'];
$permission = $o->_checkPermission($parentObjectType, $parentObjectId, $this->getTType(), &$row);
$search = $o->_checkSearchTerm($searchTerm);
if ($permission && $search) {
$ret[] = $o;
}
}
return $ret;
}

function _checkPermission($parentObjectType, $parentObjectId, $o_type, &$row) {
//                                                   
 return false;
}

function _getBaseFilter() {
return null;
}

function _getSearchFilter($searchTerm) {
if (! $searchTerm) {
return null;
}
return sqlf_table($this->_getNodeTable()) . ".name LIKE '%" . sqlslashes($searchTerm) . "%'";
}

function _checkSearchTerm($searchTerm) {
if (! $searchTerm) {
return true;
}
return false;
}

function getParentTType() {
return null;
}

function getDisplayName() {
if (method_exists($this, "getName")) {
return $this->getName();
}
$val = $this->getProperty("name");
if (! is_a($val, "NodeException")) {
return $val->toString();
}
return $this->getFieldValue("name");
}

function getCategoryName() {
global $T_TYPE;
return $T_TYPE[$this->getTType()]['name'];
}

function getDisplayURL() {
global $STAG;
global $T_TYPE;
$link = $T_TYPE[$this->getTType()]["link"];
$linkvar = $T_TYPE[$this->getTType()]["linkvar"];
if ($link && $linkvar) {
return "$STAG&$link&$linkvar=".$this->getID();
} else {
return null;
}
}

}

?>
