<?

global $DIC, $USER_ID, $T_TYPE;

$T_TYPE_STANDARD_SQL = "SELECT DISTINCT id, itemorder, name, type_id, LOWER(name) AS l_name  FROM tree LEFT JOIN perm ON (perm.o_id = tree.id 
AND perm.o_type = tree.type_id AND (\$PERMSQL)) WHERE mother = \$nid AND (perm.perm LIKE '1%' OR $USER_ID = 1) ORDER BY itemorder, l_name";

/**
 *                              
 **/
global $T_PORTAL, $ICO_PORTAL;
$T_TYPE[$T_PORTAL] = array(
"name"          =>"Portal.Node",
"fkt"           =>"portal_fetch_nodes()",
"nname"         =>"name",
"ntype"		=>"type_id",
"nid"		=>"id",
"object"        =>false,
"folderopen"    =>$ICO_PORTAL,
"folderclosed"  =>$ICO_PORTAL,
"append"        =>"</b>",
"prepend"       =>"<b>"
);

global $T_PORTALNODE, $ICO_DOMAIN;
$T_TYPE[$T_PORTALNODE] = array(
"name"		=>"Portal",
"object"	=>true,
"linktarget"    =>"list",
"allowlink"     =>false,
"nname"         =>"name",
"ntype"		=>"type_id",
"nid"		=>"id",
"fkt"           =>"portal_fetch_modules(\$nid)",
"folderopen"    =>$ICO_DOMAIN,
"folderclosed"  =>$ICO_DOMAIN
);

global $T_PORTALADMIN, $ICO_ADMIN;
$T_TYPE[$T_PORTALADMIN] = array(
"name"		=>"Portal.Admin",
"object"	=>true,
"linktarget"    =>"list",
"allowlink"     =>false,
"folderopen"    =>$ICO_ADMIN,
"folderclosed"  =>$ICO_ADMIN,
"sql"           =>$T_TYPE_STANDARD_SQL
);

if ( $FEATURE["member_no_groups"] )
{

global $T_MEMBERS, $ICO_USER;
$T_TYPE[$T_MEMBERS] = array(
"name"		=>"User Administration",
"object"	=>true,
"linktarget"    =>"list",
"allowlink"     =>true,
"link"	 	=>"do=72000&administrate=1&portalid=\$portalid",
"nname"         =>"name",
"ntype"		=>"type_id",
"nid"		=>"id",
"folderclosed"  =>$ICO_USER


);

} else
{

global $T_MEMBERS, $ICO_USER;
$T_TYPE[$T_MEMBERS] = array(
"name"          =>"User Administration",
"object"        =>true,
"linktarget"    =>"list",
"allowlink"     =>true,
"link"          =>"do=72000&administrate=1&portalid=\$portalid",
"nname"         =>"name",
"ntype"         =>"type_id",
"nid"           =>"id",
"fkt"           =>"portal_fetch_member_groups(\$nid)",
"folderclosed"  => $ICO_USER
);

}

global $T_MEMBERS_GROUP;
$T_TYPE[$T_MEMBERS_GROUP] = array(
"name"		=>"User Gruppen",
"object"	=>true,
"linktarget"    =>"list",
"allowlink"     =>true,
"linkvar"	=>"nid",
"link"		=>"do=72050&gid=\$id&portalid=\$portalid"
);

global $T_VOTING;
$T_TYPE[$T_VOTING] = array(
"name"		=>"Voting",
"object"	=>true,
"linktarget"    =>"list",
"allowlink"     =>true,
"link"		=>"do=75000&portalid=\$portalid",
"nname"         =>"name",
"ntype"		=>"type_id",
"nid"		=>"id",
"fkt"		=>"portal_fetch_voting_groups(\$nid)"
);

global $T_VOTING_GROUP;
$T_TYPE[$T_VOTING_GROUP] = array(
"name"		=>"Voting Gruppen",
"object"	=>true,
"linktarget"    =>"list",
"allowlink"     =>true,
"linkvar"	=>"oid",
"link"		=>"do=75020&portalid=\$portalid"
);

global $T_NEWSLETTER, $ICO_INBOX;
$T_TYPE[$T_NEWSLETTER] = array(
"name"		=>"Newsletter",
"object"	=>true,
"linktarget"    =>"list",
"allowlink"     =>true,
"link"		=>"do=72500&portalid=\$portalid",
"nname"         =>"name",
"ntype"		=>"type_id",
"nid"		=>"id",
"folderclosed"  =>$ICO_INBOX

);

global $T_NEWSLETTER_GROUP;
$T_TYPE[$T_NEWSLETTER_GROUP] = array(
"name"		=>"Newsletter Gruppe",
"object"	=>true,
"linktarget"    =>"list",
"allowlink"     =>true,
"linkvar"	=>"nid",
"link"		=>"do=72550&portalid=\$portalid"
);

global $T_NEWSLETTER_GROUP_START, $ICO_FOLDER;
$T_TYPE[$T_NEWSLETTER_GROUP_START] = array(
"name"		=>"Newsletter Gruppen",
"object"	=>true,
"linktarget"	=>"list",
"allowlink"	=>true,
"link"          =>"do=72530&portalid=\$portalid",
"nname"         =>"name",
"ntype"         =>"type_id",
"nid"           =>"id",
"fkt"           =>"portal_fetch_newsletter_groups(\$nid)",
"folderclosed"  =>$ICO_FOLDER
);

global $T_ECARD;
$T_TYPE[$T_ECARD] = array(
"name"		=>"eCard",
"object"	=>true,
"linktarget"    =>"list",
"allowlink"     =>true,
"link"		=>"do=70095&portalid=\$portalid",
"nname"         =>"name",
"ntype"		=>"type_id",
"nid"		=>"id",
"fkt"		=>"portal_fetch_ecard_groups(\$nid)"
);

global $T_ECARD_GROUP;
$T_TYPE[$T_ECARD_GROUP] = array(
"name"		=>"eCard Kategorien",
"object"	=>true,
"linktarget"    =>"list",
"allowlink"     =>true,
"linkvar"	=>"id",
"link"		=>"do=70095&portalid=\$portalid&cat_id=\$nid"
);

global $T_ADDRESSES;
$T_TYPE[$T_ADDRESSES] = array(
"name"          =>"Adressen",
"object"        =>true,
"linktarget"    =>"list",
"allowlink"     =>true,
"link"          =>"do=70200&portalid=\$portalid",
"nname"         =>"name",
"ntype"         =>"type_id",
"nid"         	=>"id",
"fkt"           =>"portal_fetch_addresses_groups(\$nid)"
);  

global $T_ADDRESSES_GROUP;
$T_TYPE[$T_ADDRESSES_GROUP] = array(
"name"          =>"Adressen Kategorien",
"object"        =>true,
"linktarget"    =>"list",
"allowlink"     =>true,
"linkvar"       =>"id",
"link"          =>"do=70220&portalid=\$portalid&cat_id=\$nid"
);  

global $T_PORTALASSISTENT;
$T_TYPE[$T_PORTALASSISTENT] = array(
"name"		=>"Assistent",
"object"	=>true,
"linktarget"    =>"list",
"allowlink"     =>true,
"link"		=>"do=70704&portalid=\$portalid",
"nname"         =>"name",
"ntype"		=>"type_id",
"nid"		=>"id",
"fkt"		=>"portal_fetch_assistent_groups(\$nid)"
);

global $T_PORTALASSISTENT_GROUP;
$T_TYPE[$T_PORTALASSISTENT_GROUP] = array(
"name"		=>"Assistenten Kategorien",
"object"	=>true,
"linktarget"    =>"list",
"allowlink"     =>true,
"linkvar"	=>"fid",
"link"		=>"do=70703&portalid=\$portalid"
);

global $T_GUESTBOOK;
$T_TYPE[$T_GUESTBOOK] = array(
"name"		=>"G&auml;stebuch",
"object"	=>true,
"linktarget"    =>"list",
"allowlink"     =>true,
"link"		=>"do=70403&portalid=\$portalid"
);

global $T_LINKENGINE;
$T_TYPE[$T_LINKENGINE] = array(
"name"		=>"Linkengine",
"object"	=>true,
"linktarget"    =>"list",
"allowlink"     =>true,
"link"		=>"do=71003&portalid=\$portalid",
"nname"         =>"name",
"ntype"		=>"type_id",
"nid"		=>"id",
"fkt"		=>"portal_fetch_linkengine_groups(\$nid)",
);

global $T_LINKENGINE_GROUP;
$T_TYPE[$T_LINKENGINE_GROUP] = array(
"name"		=>"Linkengine Kategorien",
"object"	=>true,
"linktarget"    =>"list",
"allowlink"     =>true,
"linkvar"	=>"catid",
"link"		=>"do=71005&portalid=\$portalid"
);

global $T_EVENTS;
$T_TYPE[$T_EVENTS] = array(
"name"		=>"Events",
"object"	=>true,
"linktarget"    =>"list",
"allowlink"     =>true,
"link"		=>"do=71500&portalid=\$portalid"
);

global $T_CLUBS;
$T_TYPE[$T_CLUBS] = array(
"name"		=>"Clubs",
"object"	=>true,
"linktarget"    =>"list",
"allowlink"     =>true,
"link"		=>"do=77500&portalid=\$portalid"
);

/**
                  
                            
                      
                 
                              
                            
                                         
  
**/

global $T_GALLERY;
$T_TYPE[$T_GALLERY] = array(
"name"		=>"Bilder Galerien",
"object"	=>true,
"linktarget"    =>"list",
"allowlink"     =>true,
"link"		=>"do=76002&portalid=\$portalid"
);

/**
                       
                                 
                               
                 
                              
                            
                                         
  
**/

/**
 *                                                 /                                   
 *                                                                                           
 *                         
 **/

global $T_BANNER_ENGINE, $ADMIN_BANNER_ENGINE;
$T_TYPE[$T_BANNER_ENGINE] = array(
"name"		=>"Banner Engine",
"object"	=>true,
"linktarget"    =>"list",
"allowlink"     =>true,
"linkext"	=>"$ADMIN_BANNER_ENGINE",
"linktarget"	=>"_blank"
);

/**
                            
                         
                  
                 
                              
                            
                               
                        
  
**/
global $T_PHORUM, $ADMIN_PHORUM;
$T_TYPE[$T_PHORUM] = array(
"name"		=>"Forum",
"object"	=>true,
"linktarget"    =>"list",
"allowlink"     =>true,
"linkext"	=>"$ADMIN_PHORUM",
"linktarget"	=>"_blank"
);

global $T_PN_EXTRA, $ADMIN_PN_EXTRA, $ADMIN_PN_EXTRA_NAME;
$T_TYPE[$T_PN_EXTRA] = array(
"name" 		=> "$ADMIN_PN_EXTRA_NAME",
"object" 	=> true,
"linktarget" 	=> "list",
"allowlink" 	=> true,
"linkext" 	=> "$ADMIN_PN_EXTRA",
"linktarget" 	=> "list"
);

if ( $FEATURE["pdf_generate"] )
{
global $T_PDF;
$T_TYPE[$T_PDF] = array(
"name"          =>"PDF Publishing",
"object"        =>true,
"linktarget"    =>"list",
"allowlink"     =>true,
"link"          =>"do=72620&portalid=\$portalid"
);
}

?>
