<style>
#tree_funcs {
	position: absolute;
	top: 9px;
  right: 30px;
 	z-index:99;
}
#tree_funcs img {
	border: 0px;
	margin-left: 2px;
	
}
#tree_flap {
	display: none;
	position: absolute;
	top: 0px;
	left: 0px;
	height: 47%;
	width: 75%;
 	z-index:99;
}
#tree_flap img {
	position: absolute;
	bottom: 0px;
	right: 0px;
}
.ac_results {
	z-index: 110;
	-moz-box-shadow: 5px 5px 10px rgba(0,0,0,0.3);
	filter:progid:DXImageTransform.Microsoft.dropshadow(OffX=5, OffY=5, Color='#40000000', Positive='true');
}
.ac_results li {
    padding: 3px;
    display: block;
}
.ac_results ul {
    padding: 0px;
    list-style-image: none;
    list-style-position: outside;
    list-style-type: none;
    border: 1px solid #B5CEF7;
    background-color: white;
    margin: 0px;
}
.ac_over {
    background-color: #B5CEF7;
}
.ac_node, .ac_folder, .ac_page {
	background-image: url('?do=11&module=content&img=domain.gif');
	background-repeat: no-repeat;
	padding: 3px 3px 6px 20px;
}
.ac_folder {
	background-image: url('?do=11&module=content&img=folderpath.gif');
	padding-left: 39px;
	background-position: 0px 0px;
}
.ac_page {
	background-image: url('?do=11&module=content&img=doc.gif');
	padding-left: 39px;
	background-position: 18px 0px;
}

#quickjump, #instantMessage {
	position: absolute;
	top: 8px;
	left: 28px;
	background-color: white;
	border: 1px solid #B5CEF7;
	padding: 0px 10px 0px 10px;
	display: none;
	width: 180px;
	z-index: 100;
}
#quickjump h2, #instantMessage h2 {
	font-size: 18px;
	margin: 5px 0px 5px 0px;
}
#quickjump #pagejumpId {
	display: none;
}
#esc_quickjump {
	float: right;
	font-size: 9px;
	margin-right: -4px;
	color: #4C575B;
}
#instantMessage {
	width: 78%;
	z-index: 99;
}
#instantMessage .from {
	font-weight: bold;
}
#instantMessageIcon {
	z-index: 98;
	position: absolute;
	top: 10px;
	left: 45px;
	display: none;
}
</style>
<script language="JavaScript">
	var gtxScrollElement = undefined;
	treeArea_offset = 42; // 52
	border_offset = 22; // 32

	function resizeTreeArea() {
		var winHeight = gtx_getInnerHeight();
		var winWidth = gtx_getInnerWidth();

	  document.getElementById('treeArea').style.height = (parseInt(winHeight)- treeArea_offset) + "px";
		gtxScrollElement = document.getElementById('treeArea');

	  document.getElementById('borderContainer').style.height = (parseInt(winHeight)- border_offset) + "px";
	  document.getElementById('borderLeft').style.height = (parseInt(winHeight)- border_offset) + "px";
	  document.getElementById('borderRight').style.height = (parseInt(winHeight)- border_offset) + "px";
	}
</script>

<?php
if ($STICKY_TREE) {
$stickyIcon = "sticky_tree_on.gif";
} else {
$stickyIcon = "sticky_tree.gif";
}
?>

<div id="tree_funcs"><? if ($FEATURE["quickjump"]) { ?><a href="#" onclick="GTXQuickJump.show();"><img src="<?=$STAG_PREFIX;?>?do=11&module=system&img=quickjump.gif" alt="Quickjump (Ctrl+q)" title="Quickjump (Ctrl+q)" width="18" height="18"/></a><? } ?><a href="<?=$STAG;?>&do=300&cmd=collapse"><img src="<?=$STAG_PREFIX;?>?do=11&module=system&img=collapse_tree.gif" alt="<?=i18n("collapse_tree");?>" title="<?=i18n("collapse_tree");?>" width="18" height="18"/></a><a onclick="setSticky = !setSticky;location.href='<?=$STAG;?>&do=300&cmd=stickytree'" href="#"><img src="<?=$STAG_PREFIX;?>?do=11&module=system&img=<?=$stickyIcon;?>" alt="<?=i18n("sticky_tree");?>" title="<?=i18n("sticky_tree");?>" width="18" height="18"/></a></div>
<div id="tree_flap"><img src="<?=$STAG_PREFIX;?>?do=11&module=system&img=tree_flap.gif" alt="flap" title="flap"></div>

<style type="text/css">

	html { height:100%; }
	body { height:100%; background-color:white; }

	#treeArea { overflow:scroll; padding:10px 4px 10px 10px; }
	
	#treeFadeOut { 
		position:absolute;
		left:17px;
		top:0px;
		height:10px;
		width:100%;
		background: url(<?php echo $STAG_PREFIX;?>?do=11&module=<?php echo $MODULE;?>&img=treefadeout.png) repeat-x left top;
		z-index:10;
	}
	
	#treeArea td a:link, #treeArea td a:visited, #treeArea td { font-size:12px; font-family:Arial,Helvetica,Sans-Serif; color: #788185; background-color: #ffffff; }

	.borderTopContainer { height:6px; font-size:1px; margin:0; }
	.borderTop { background:url(<?php echo $STAG_PREFIX;?>?do=11&module=<?php echo $MODULE;?>&img=shadow_t.png) repeat-x left top; margin:0 6px; font-size:1px; height:6px; }
	.borderTopHack { height:100%; width:100%; font-size:1px; }

	.cornerTopLeft { background:url(<?php echo $STAG_PREFIX;?>?do=11&module=<?php echo $MODULE;?>&img=corner_lt.png) no-repeat left top; float:left; width:6px; height:6px; font-size:1px; }
	.cornerTopRight { background:url(<?php echo $STAG_PREFIX;?>?do=11&module=<?php echo $MODULE;?>&img=corner_rt.png) no-repeat right top; float:right; width:6px; height:6px; font-size:1px; }

	.borderContainer { height:100%; }
	.borderLeft { background:url(<?php echo $STAG_PREFIX;?>?do=11&module=<?php echo $MODULE;?>&img=shadow_l.png) repeat-y left top; height:100%; float:left; width:6px; }
	.borderRight { z-index:15; background:url(<?php echo $STAG_PREFIX;?>?do=11&module=<?php echo $MODULE;?>&img=shadow_r.png) repeat-y right top; height:100%; float:right; width:6px; }

	.borderBottomContainer { height:6px; font-size:1px; margin:0; }
	.borderBottom { background:url(<?php echo $STAG_PREFIX;?>?do=11&module=<?php echo $MODULE;?>&img=shadow_b.png) repeat-x left top; margin:0 6px; font-size:1px; height:6px; }
	.borderBottomHack { height:100%; width:100%; font-size:1px; }

	.cornerBottomLeft { background:url(<?php echo $STAG_PREFIX;?>?do=11&module=<?php echo $MODULE;?>&img=corner_lb.png) no-repeat left top; float:left; width:6px; height:6px; font-size:1px; }
	.cornerBottomRight { background:url(<?php echo $STAG_PREFIX;?>?do=11&module=<?php echo $MODULE;?>&img=corner_rb.png) no-repeat right top; float:right; width:6px; height:6px; font-size:1px; }

	a img:hover {background-color: #fff;}
</style>

<!--[if IE 6]>
<style type="text/css">
	#treeFadeOut {
		background:none;
		filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(src='<?php echo $STAG_PREFIX;?>?do=11&module=<?php echo $MODULE;?>&img=treefadeout.png',sizingMethod='scale');
	}

	.borderTop { background:none; height:auto; }
	.borderTopHack { margin-top:-6px; background:none; filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(src='<?php echo $STAG_PREFIX;?>?do=11&module=<?php echo $MODULE;?>&img=shadow_t.png',sizingMethod='scale'); }

	.cornerTopLeft { background:none; filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(src='<?php echo $STAG_PREFIX;?>?do=11&module=<?php echo $MODULE;?>&img=corner_lt.png',sizingMethod='scale'); }
	.cornerTopRight { background:none; filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(src='<?php echo $STAG_PREFIX;?>?do=11&module=<?php echo $MODULE;?>&img=corner_rt.png',sizingMethod='scale'); }

	.borderLeft { background:none; filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(src='<?php echo $STAG_PREFIX;?>?do=11&module=<?php echo $MODULE;?>&img=shadow_l.png',sizingMethod='scale'); }
	.borderRight { background:none; filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(src='<?php echo $STAG_PREFIX;?>?do=11&module=<?php echo $MODULE;?>&img=shadow_r.png',sizingMethod='scale'); }

	.borderBottom { background:none; height:auto; }
	.borderBottomHack { margin-top:-6px; background:none; filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(src='<?php echo $STAG_PREFIX;?>?do=11&module=<?php echo $MODULE;?>&img=shadow_b.png',sizingMethod='scale'); }

	.cornerBottomLeft { background:none; filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(src='<?php echo $STAG_PREFIX;?>?do=11&module=<?php echo $MODULE;?>&img=corner_lb.png',sizingMethod='scale'); }
	.cornerBottomRight { background:none; filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(src='<?php echo $STAG_PREFIX;?>?do=11&module=<?php echo $MODULE;?>&img=corner_rb.png',sizingMethod='scale'); }

	#treeArea { position:absolute; left:17px; top:0; width:263px; overflow:auto; }	
</style>
<![endif]-->

<div id="treeFadeOut"></div>

<div class="borderContainer" id="borderContainer" style="margin-left:11px;">
	<div id="borderLeft" class="borderLeft"></div>
	<div id="borderRight" class="borderRight"></div>
	<div id="treeArea">
		<script type="text/javascript">
/**
 * global vars for all that tree frame resizing stuff
 */
var maxSize = 450;
var minSize = 200;
var size = -1; 
		
/**
 * offset the logo frame's background image so that seamless fit with the menu frame is achieved 
 */
function offsetLogoBG() {
<?php
//                                                                     
//                   
if (!$MYSTREAM) echo "document.location.reload();";
?>	
	img = new Image();
	img.src = "<?=$STAG_PREFIX;?>?do=11&module=system&img=streams/top.<?= getstream("top") ?>";
	if (! top.menu.document.body) {
		setTimeout(offsetLogoBG, 100);
		return;
	}
	topWidth = (document.all) ? (top.menu.document.documentElement ? top.menu.document.documentElement.scrollWidth : top.menu.document.body.scrollWidth) : top.menu.document.body.clientWidth;
	if (topWidth == 0) {
		setTimeout(offsetLogoBG, 100);
		return;
	}
	yPos = 0;
	xPos = ((topWidth) + gtx_getInnerWidth()) - img.width;
	if (! top.logo.document.body) {
		setTimeout(offsetLogoBG, 100);
		return;
	}
	top.logo.document.body.style.background = "url('<?=$STAG_PREFIX;?>?do=11&module=system&img=streams/top.<?= getstream("top") ?>') " +
		xPos + "px " + yPos + "px";
	top.logo.document.body.style.backgroundRepeat = "repeat";
}

// logo bg has to be invoked on resize
if (window.addEventListener) {
	window.addEventListener("resize", offsetLogoBG, false);
} else if (window.attachEvent) {
	window.attachEvent("onresize", offsetLogoBG);
} else {
	window.onresize = offsetLogoBG();
}
offsetLogoBG();

var setSticky = <?=$STICKY_TREE ? "true" : "false";?>;

/**
 * resize the tree to big version
 */
function frame_big() {
	top.isTreeSmall = false;
	// adjust display of instant messages
	GTXInstantMessenger.toggleTree();
	
	// on first call the tree size has to be calculated
	var firstCall = false;
	if (size == -1) {
	  firstCall = true;
	  document.getElementById('treeArea').style.display = "block";
		size = (top.tree.document.getElementById("treeTable").scrollWidth > maxSize) ? maxSize : top.tree.document.getElementById("treeTable").scrollWidth;
		if (size < minSize) {
			size = minSize;
		} else if (size > maxSize) {
			size = maxSize;
		}
	}

	top.document.getElementsByTagName('frameset')[0].setAttribute('cols', (size + 60) + ',*');
	document.getElementById('treeArea').style.width = (size + 23) + "px";
	document.getElementById('treeArea').style.display = "block";
	document.getElementById('tree_flap').style.display = "none";
	document.getElementById('tree_funcs').style.display = "block";
	top.logo.document.getElementById('usersOnline').style.display = "block";
	top.logo.document.getElementById('userClockInfo').style.display = "block";
	var logo = top.logo.document.getElementById('logo');
	if (logo) {
		logo.className = "logo_wide";
	}
	if(firstCall && top.treeLastScrollPos != undefined) {
	  var scrolldiv = gtxScrollElement;
	  scrolldiv.scrollLeft = top.treeLastScrollPos[0];
	  scrolldiv.scrollTop = top.treeLastScrollPos[1];
	}
}

function treeOnUnload() {
  if(!top.isTreeSmall) {
    top.treeLastScrollPos = new Array( gtxScrollElement.scrollLeft, gtxScrollElement.scrollTop );
  }
}

/**
 * resize the tree to small version
 */
function frame_small() {
	// sticky has just been activated, so do not minimize the tree now
	if (setSticky) {
		return;
	}
	if ("<?=$STICKY_TREE;?>" == "1") return;

	if(!top.isTreeSmall) {
	  top.treeLastScrollPos = new Array( gtxScrollElement.scrollLeft, gtxScrollElement.scrollTop );
	}
	
	top.isTreeSmall = true;
	// adjust display of instant messages
	GTXInstantMessenger.toggleTree();
	<? if ($FEATURE['quickjump']) { ?>
	// hide Quickjump
	GTXQuickJump.hide();
	<? } ?>
	
	// in some cases, this method is not yet available, so catch errors
	try {
		hide_context_menus();
	} catch(e) {
	}
	top.document.getElementsByTagName('frameset')[0].setAttribute('cols', '90,*');
	document.getElementById('treeArea').style.display = "none";
	document.getElementById('tree_flap').style.display = "block";
	document.getElementById('tree_funcs').style.display = "none";
	top.logo.document.getElementById('usersOnline').style.display = "none";
	top.logo.document.getElementById('userClockInfo').style.display = "none";
	var logo = top.logo.document.getElementById('logo');
	if (logo) {
		logo.className = "logo_small";
	}
}


    var treeArea_offset = 37; // 52
    var border_offset = 17; // 32
    
    function resizeTreeArea() {
		if(!treeArea_offset) {
			treeArea_offset = 37;
		}
		if(!border_offset) {
			border_offset = 17;
		}
	var winHeight = gtx_getInnerHeight();
	var winWidth = gtx_getInnerWidth();

        document.getElementById('treeArea').style.height = (parseInt(winHeight)- treeArea_offset) + "px";
	gtxScrollElement = document.getElementById('treeArea');

	resizeAssLeft(winHeight);
	
	
	document.getElementById('borderContainer').style.height = (parseInt(winHeight)- border_offset) + "px";
        document.getElementById('borderLeft').style.height = (parseInt(winHeight)- border_offset) + "px";
        document.getElementById('borderRight').style.height = (parseInt(winHeight)- border_offset) + "px";

	document.getElementById('treeFadeOut').style.width = (winWidth - 6 - border_offset) + "px";
    }
    resizeTreeArea();

    function resizeAssLeft(winHeight) {
        if (top.main.ass && top.main.ass.document.getElementById('borderContainerAssLeft')) {	 
	    top.main.ass.document.getElementById('borderContainerAssLeft').style.height = (parseInt(winHeight)- (border_offset + 10)) + 'px';
	} else {
	    setTimeout("resizeAssLeft(" + winHeight + ")", 100);
	}
    }
			
			/*
			top.onresize = resizeTreeArea;
			if (document.attachEvent) {
				top.tree.onresize = resizeTreeArea;
			}
			*/
</script>

		<form action=<? echo "$STAG&do=300"; ?> method=POST>
<?php 
echo $tree; 
?>
		</form>

		 <script type="text/javascript">
			if (top.menu) {
				if (top.menu.write_status) {
			top.menu.write_status('check_msg', '<table cellpadding=0 cellspacing=0 border=0><tr><td><img src=\"?do=11&module=system&img=menu_delimeter.png\" border=\"0\" alt=\"\"><img src=\"?do=11&module=system&img=null.gif\" border=\"0\" alt=\"0\" width=\"10\" height=\"1\"></td><td valign=middle><a href=\"?sid=V1wQ5bbZqlkvRDh&time=1172754929&do=8\" target=list><img src=\"?do=11&module=system&img=inbox.gif\" border=\"0\" alt=\"\"></a></td><td nowrap valign=middle><img src=\"?do=11&module=system&img=null.gif\" border=\"0\" alt=\"0\" width=\"7\" height=\"1\"><a href=\"?sid=V1wQ5bbZqlkvRDh&time=1172754929&do=8\"  target=list>0 neue Nachrichten</a></td></tr></table>');
			top.menu.write_status('check_online_user', '<table cellpadding=0 cellspacing=0 border=0><tr><td><img src=\"?do=11&module=system&img=menu_delimeter.png\" border=\"0\" alt=\"\"><img src=\"?do=11&module=system&img=null.gif\" border=\"0\" alt=\"0\" width=\"10\" height=\"1\"></td><td valign=middle><a href=\"#\" target=list><img src=\"?do=11&module=system&img=user.gif\" border=\"0\" alt=\"\"></a></td><td nowrap valign=middle><img src=\"?do=11&module=system&img=null.gif\" border=\"0\" alt=\"0\" width=\"7\" height=\"1\"><a href=\"#\"  onclick=\"window.open(\'?sid=V1wQ5bbZqlkvRDh&time=1172754929&do=411\',\'users\',\'dependent=yes,status=no,width=550,height=400,resizable=yes\'); return false;\" target=list>2 Benutzer online</a></td></tr></table>');
			
				}
				if ( top.stream ) {
					if ( top.stream.streamPopup ) {
						if(  !top.stream.streamPopup.closed )
						{
							top.stream.streamPopup.document.location.href = top.stream.streamPopup.document.location.href;
							 
						}
					}
				}
			}
			</script>
		
			<script type="text/javascript">
				
				function footer_docresize() {
				  
				}
			
				function footer_docclick() {
				  
				  
			//    contextLayer.releaseCapture();
				if ( AllowContextmenuHiding )
				{
					hide_context_menus();
				}
				AllowContextmenuHiding = true;
				
				}
			
				function footer_onload() {
				  
				}
				function footer_onunload(event) {
				  
				}
			</script>
                <br /><br />
            </div>
        
            <div style="clear:both;"></div>
        </div>
        <div class="borderBottomContainer" style="margin-left:11px;">
            <div class="cornerBottomLeft"></div>
            <div class="cornerBottomRight"></div>
            <div class="borderBottom"><div class="borderBottomHack"></div></div>
        </div>
<? if ($FEATURE["quickjump"]) { ?>
<!-- QuickJump html snipplet -->
<div id="quickjump" class="shadow">
	<a id="esc_quickjump" href="#" onclick="GTXQuickJump.hide();" title="Esc">x</a>
	<h2>Quickjump</h2>
	<form action="<?=$STAG;?>&do=14019" method="POST" target="list">
    	<input type="text" name="pagejump" id="pagejump"/>
    	<input type="text" name="pagejumpId" id="pagejumpId"/>
	    <input type="image" src="<?=$STAG . "&do=11&module=system&img=tree_flap.gif";?>" alt="Go!" style="margin-bottom: -7px;"/>
	</form>
</div>
<? } ?>
<script type="text/javascript">
<? if ($FEATURE["quickjump"]) { ?>
// initialize quick jumper
GTXQuickJump.init("<?=$STAG;?>", true);
<? } 
if ($FEATURE["instantmessages"]) {
?>
// initialize instant messenger
GTXInstantMessenger.init("<?=$STAG;?>", { message: "<?=i18n("Nachricht");?>" });
<?
}
?>
</script>
