<?

class Skeleton extends BaseObject {

var $d_skeleton;
var $d_loader;

function Skeleton($skeleton, &$loader) {
parent::BaseObject();
$this->d_skeleton = $skeleton;
$this->d_loader =& $loader;
}

function parseTemplate($template, $params) {
$html = $this->d_loader->getTemplate($this->d_skeleton, $template);

if (!is_array($params)) $params = array();
foreach ($params as $name=>$value) {
$html = str_replace("<skel $name>",$value, $html);
}

return preg_replace( "/<skel [A-Za-z0-9_]*>/i", "", $html );
}
}

class SkeletonFactory extends BaseObject {

function &getSkeletonLoader($dir = "") {
global $DEBUG;
if (!is_object($class =& ObjectFactory::loadObject("skeletonfactory", "loader::$dir"))
|| $DEBUG["noskelcache"]) {
node_class("skeletonloader");
$class = new SkeletonLoader($dir);
ObjectFactory::storeObject("skeletonfactory", "loader::$dir", $class, true);
}
return $class;
}

function &getSkeleton($skel = "") {
global $NODE_SKELETON;

if (!$skel) {
$skel = ($NODE_SKELETON)?$NODE_SKELETON:"default";
}

if (!is_object($class =& ObjectFactory::loadObject("skeletonfactory", "skel::$skel"))) {
$class = new Skeleton($skel, SkeletonFactory::getSkeletonLoader());
ObjectFactory::storeObject("skeletonfactory", "skel::$skel", $class, false);
}
return $class;
}
}


?>
