<?
/*
                         /                     
                                                
*/

//                            
function tags_del($id,$type,$info = 0) {
global $DEBUG, $FEATURE;

if ($type != "template" && $type != "content" && $type != "obj") halt(7,"tags_del: invalid type($type)");

//       
 if ($type == "obj") {
if (!is_array($info)) halt(7,"tags_del: invalid info for objtag info($info)");
foreach ($info as $key=>$val) {
if ($sqlpart) $sqlpart .= " AND ";
if ($key == "obj_type" && $val) {
//                                                                 
 $sqlpart .= sqlf_name($type)."_id = ".sqlf_tl_num($id)." AND obj_type = ".sqlf_tl_num($val);
} else if ($key == "name" && $val) {
//                                                                    
 $sqlpart .= "name = '".sqlf_escaped($val)."'";
} else if ($key == "id" && $val) {
//                     
 $sqlpart .= "id = '".sqlf_escaped($val)."'";
} else halt(7,"tags_del: invalid info for objtag: key($key) val($val)");
}
if ($sqlpart) $sqlpart = "($sqlpart)";
//               /        /           
 } else $sqlpart = sqlf_name($type)."_id = ".sqlf_tl_num($id);

$sql = "SELECT id FROM ".sqlf_name($type)."tag WHERE $sqlpart";
if ($DEBUG['objprop']) echo "Selecting tagid: $sql<br>";
$rs = query($sql);//            
 if ($rs["arr"]) {
while (list($key,$val) = each($rs["arr"])) {
$tagid = $val["id"];
$sql = "DELETE FROM value WHERE ".sqlf_name($type)."tag_id = ".sqlf_tl_num($tagid);
if ($DEBUG['objprop']) echo "Deleting tagvalue: $sql<br>";
query($sql);//            
 $sql = "DELETE FROM contenttable WHERE ".sqlf_name($type)."tag_id = ".sqlf_tl_num($tagid);
if (!$type == "obj") query($sql);//            
 $sql = "DELETE FROM ds WHERE ".sqlf_name($type)."tag_id = ".sqlf_tl_num($tagid);
if (!$type == "obj") query($sql);//            
 $sql = "DELETE FROM ds_obj WHERE ".sqlf_name($type)."tag_id = ".sqlf_tl_num($tagid);
if (!$type == "obj") query($sql);//            
 }
}

$sql = "DELETE FROM ".sqlf_name($type)."tag WHERE $sqlpart";
if ($DEBUG['objprop']) echo "Deleting tag: $sql<hr>";
//                                                           
 query($sql);//            
 
if ($FEATURE["javaparser"]) {
if ($type == "template") {
global $T_TEMPLATE;
$javaParser =& CodeParser::getJavaParser();
$javaParser->clearCache($T_TEMPLATE, $id);
}
if ($type == "content") {
global $T_PAGECONTENT;
$javaParser =& CodeParser::getJavaParser();
$javaParser->clearCache($T_PAGECONTENT, $id);
}
if ($type == "obj") {
global $T_OBJECTTAG;
$javaParser =& CodeParser::getJavaParser();
$javaParser->clearCache($T_OBJECTTAG, $id);
}
}

}

//                    
function tag_del($tag_id,$type) {
global $FEATURE;
if (!$tag_id) halt(7,"tag_del: invalid id($id)");
$type = sqlf_name($type);

if ($FEATURE["javaparser"]) {

$sql = "SELECT ${type}_id FROM ${type}tag WHERE id = ".sqlf_tl_num($tag_id);
$rs = query($sql);//            
 $id = $rs["arr"][0]["${type}_id"];
}

$sql = "DELETE FROM value WHERE ".$type."tag_id = ".sqlf_tl_num($tag_id);
query($sql);//            
 $sql = "DELETE FROM ".$type."tag WHERE id = ".sqlf_tl_num($tag_id);
query($sql);//            
 if ($type != "obj") {
$sql = "DELETE FROM ds WHERE ".$type."tag_id = ".sqlf_tl_num($tag_id);
query($sql);//            
 $sql = "DELETE FROM ds_obj WHERE ".$type."tag_id = ".sqlf_tl_num($tag_id);
query($sql);//            
 }

if ($FEATURE["javaparser"]) {
if ($type == "template") {
global $T_TEMPLATE;
$javaParser =& CodeParser::getJavaParser();
$javaParser->clearCache($T_TEMPLATE, $id);
}
if ($type == "content") {
global $T_PAGECONTENT;
$javaParser =& CodeParser::getJavaParser();
$javaParser->clearCache($T_PAGECONTENT, $id);
}
if ($type == "obj") {
global $T_OBJTAG;
$javaParser =& CodeParser::getJavaParser();
$javaParser->clearCache($T_OBJTAG, $tag_id);
triggerEvent($T_OBJTAG, $tag_id, EVENT_DELETE, new EventObject() );
}
}

}

/**
 *                                                                   
 *                                                                
 *                                                               
 *                                                                   
 *                      
 *                                                                  
 *                                            
 *             
 */
function delete_public_template_tags($content_id, $template_id) {
$rs = query("SELECT contenttag.id"
. " FROM templatetag"
. " JOIN contenttag ON contenttag.name = templatetag.name"
. " WHERE templatetag.template_id = " . sql_num($template_id)
. "   AND templatetag.pub = 1"
. "   AND contenttag.content_id = " . sql_num($content_id));
foreach ($rs["arr"] as $row) {
tag_del($row["id"], "content");
}
}

/**
 *                                                                    
 *                                                               
 *                           
 *                                                                   
 *                      
 *                                                             
 *                                                
 *             
 */
function delete_tags_not_originating_from_template($content_id, $template_id) {
$rs = query("SELECT contenttag.id"
. " FROM contenttag"
. " LEFT JOIN templatetag"
. "   ON contenttag.name = templatetag.name"
. "  AND templatetag.template_id = " . sql_num($template_id)
. "  AND templatetag.pub = 1"
. " WHERE contenttag.content_id = " . sql_num($content_id)
. "   AND templatetag.id IS NULL");
foreach ($rs["arr"] as $row) {
tag_del($row["id"], "content");
}
}

?>
