<?php
mysession_var_reg("voting_question_hint");
$voting_question_hint = "";

$vtemplates = fetch_templates( $TEMPL_TYPE_VOTING, true );
$stemplates = fetch_templates( $TEMPL_TYPE_STATISTICS, true );

$ACTIVE_always = 1;
$ACTIVE_period = 2;
$status_list = array( $ACTIVE_always => $lang[16220], $ACTIVE_period => $lang[16221] );
$archive_status_list = array( $ACTIVE_always => $lang[16220], $ACTIVE_period => $lang[16222] );

//                                                     

function create_default_active_times()
{
global $astart_date, $aend_date, $astart_time, $aend_time;

$astart_date = $astart_time = time();
$aend_date = $aend_time = time() + 86400 * 7;
}

function create_default_archive_active_times()
{
global $aend_date, $aend_time;
global $archive_astart_date, $archive_aend_date, $archive_astart_time, $archive_aend_time;

$archive_astart_date = $archive_astart_time = $aend_date;
$archive_aend_time = $archive_aend_date = $archive_astart_date + (86400 * 7 * 3); //                      
}

function get_hr( $vname, $vval )
{
return "<hr>";
}

//                                                                      
$f = $HI["ta"];
$f["label"] = $lang[16210];
$f["var"] = "question";
$f["cols"] = 50;
$f["rows"] = 3;
$hi[] = $f;

$f = $HI["text"];
$f["label"] = $lang[16212];
$f["optional"] = true;
$f["var"] = "vtext";
$hi[] = $f;

$f = $HI["sel"];
$f["label"] = $lang[16213];
$f["var"] = "vtempl";
$f["list"] = $vtemplates;
$hi[] = $f;


$f = $HI["text"];
$f["label"] = $lang[16211];
$f["optional"] = true;
$f["var"] = "stext";
$hi[] = $f;

$f = $HI["sel"];
$f["label"] = $lang[16214];
$f["var"] = "stempl";
$f["list"] = $stemplates;
$hi[] = $f;

$f = $HI["dynamic"];
$f["label"] = "";
$f["ele"] = "get_hr";
$f["var"] = "hr1";
$hi[] = $f;


$f = $HI["sel"];
$f["label"] = $lang[16215];
$f["var"] = "active";
$f["list"] = $status_list;
$hi[] = $f;

$f = $HI["date"];
$f["label"] = $lang[16225];
$f["var"] = "astart_date";
$f["optional"] = true;
$hi[] = $f;

$f = $HI["time"];
$f["label"] = $lang[16230];
$f["var"] = "astart_time";
$f["optional"] = true;
$hi[] = $f;

$f = $HI["date"];
$f["label"] = $lang[16226];
$f["var"] = "aend_date";
$f["optional"] = true;
$hi[] = $f;

$f = $HI["time"];
$f["label"] = $lang[16230];
$f["var"] = "aend_time";
$f["optional"] = true;
$hi[] = $f;

$f = $HI["dynamic"];
$f["label"] = "";
$f["ele"] = "get_hr";
$f["var"] = "hr2";
$hi[] = $f;


$f = $HI["sel"];
$f["label"] = $lang[16216];
$f["var"] = "archive_active";
$f["list"] = $archive_status_list;
$hi[] = $f;

$f = $HI["date"];
$f["label"] = $lang[16227];
$f["var"] = "archive_astart_date";
$f["optional"] = true;
$hi[] = $f;

$f = $HI["time"];
$f["label"] = $lang[16230];
$f["var"] = "archive_astart_time";
$f["optional"] = true;
$hi[] = $f;

$f = $HI["date"];
$f["label"] = $lang[16228];
$f["var"] = "archive_aend_date";
$f["optional"] = true;
$hi[] = $f;

$f = $HI["time"];
$f["label"] = $lang[16230];
$f["var"] = "archive_aend_time";
$f["optional"] = true;
$hi[] = $f;


$f = $HI["ok"];
if ( $qid || $f_qid )
$f["label"] = $lang[100001]; //     
else
$f["label"] = $lang[100000]; //      
$hi[] = $f;

$f = $HI["hidden"];
$f["var"] = "oid";
$hi[] = $f;

$f = $HI["hidden"];
$f["var"] = "qid";
$hi[] = $f;


$question_dialog = new htmlform($hi);

//                                                               
if ( $faction == "ok" )
{
$question = sqlslashes($question);
$stext    = sqlslashes($stext);
$vtext    = sqlslashes($vtext);
$astart   = merge_date_time( $astart_date, $astart_time );
$aend     = merge_date_time( $aend_date, $aend_time );
$archive_astart = merge_date_time( $archive_astart_date, $archive_astart_time );
$archive_aend = merge_date_time( $archive_aend_date, $archive_aend_time );
if ( $qid ) //                                                    
 {
$sql =  "UPDATE " . $table["vquestions"] .
" SET header = '$question' " .
" , vtext = '$vtext' " .
" , stext = '$stext' " .
" , vtempl = $vtempl " .
" , stempl = $stempl " .
" , vactive= $active " .
" , sactive= $archive_active " .
" , vstart = $astart " .
" , sstart = $archive_astart " .
" , vend   = $aend " .
" , send   = $archive_aend " .
" WHERE id = $qid ";
$rs = query( $sql, $PDB );
}
else //                                                     
 {
$sql =  "INSERT INTO " . $table["vquestions"] .
" ( createdate, organisation, header, stext, vtext, vtempl, stempl,  " .
"   vactive, sactive, vstart, sstart, vend, send ) ".
" VALUES ( " . time() . ", $oid, '$question', '$stext', ".
" '$vtext', $vtempl, $stempl, $active, $active, $astart, ".
" $archive_astart, $aend, $archive_aend )";
$rs = query( $sql, $PDB );

}

$REDO = 75020;
}

//                                                           
if ( $qid )
{
//                                                                 
 $sql =  "SELECT * " .
" FROM " . $table["vquestions"] .
" WHERE id=$qid ";
$rs = query( $sql, $PDB );

if ( $rs["num"] > 0 )
{
$question = $rs["arr"][0]["header"];
$vtext = $rs["arr"][0]["vtext"];
$stext = $rs["arr"][0]["stext"];
$vtempl = $rs["arr"][0]["vtempl"];
$stempl = $rs["arr"][0]["stempl"];
$active = $rs["arr"][0]["vactive"];
$archive_active = $rs["arr"][0]["sactive"];
if ( $active == $ACTIVE_period )
{
$astart_date = $astart_time = $rs["arr"][0]["vstart"];
$aend_date = $aend_time = $rs["arr"][0]["vend"];
}
else
{
create_default_active_times();
}
if ( $archive_active == $ACTIVE_period )
{
$archive_astart_date = $archive_astart_time = $rs["arr"][0]["sstart"];
$archive_aend_date = $archive_aend_time = $rs["arr"][0]["send"];
}
else
{
create_default_archive_active_times();
}
$voting_question_hint = $voting_group_hint . "<br>" . $lang[16210] . "<br><b>$question</b>";
}
}
else
{
//                                                                                   
 $sql =  "SELECT vtemplate, stemplate " .
" FROM " . $table["vorganisation"] .
" WHERE id = $oid ";
$rs = query( $sql, $PDB );

if ( $rs["num"] > 0 )
{
$vtempl = $rs["arr"][0]["vtemplate"];
$stempl = $rs["arr"][0]["stemplate"];		
}
create_default_active_times();
create_default_archive_active_times();

}
if ( !$qid )
load_menu( 75100, $T_VOTING, 1, $voting_group_hint, 0, array("&oid=$oid")  );
else
load_menu( 75100, $T_VOTING, 2, $voting_group_hint, 0, array("&oid=$oid","&qid=$qid")  );

?>
