<?
if ($cmd == 'update' || $cmd == 'getprogress' || $cmd == "autoupdate") {
GUIFactory::setMainGUI( "shell" );
} else {
GUIFactory::setMainGUI( "main" );
$maingui = &GUIFactory::getMainGUI();
$maingui->includeJS( "jquery" );
$maingui->includeJS("GTXAutoUpdateStatus");
$maingui->includeJS("GTXScheduler");
$maingui->includeJS("GTXBackgroundSequence");
}

if (perm($USER_ID, T_SELFUPDATE, '', 0) != 1 && $cmd != 'update' && $cmd != 'getprogress' && $cmd != "autoupdate") {
halt(10003,"No permission to display auto updater.");
}

node_class("scheduler");

global $baseurl, $params, $tmpdir;

$baseurl = $SELFUPDATE_BASEURL; //       //                  /                   /       /         /    
$tmpdir = "/Node/tmp/selfupdate";
$params = selfupdate_get_params();
$unzip = "/Node/java/bin/jar -xf";
$untargz = "tar -xzf";

@mkdir( $tmpdir, 0777, true);
//                                  
//                                                  
if (!is_dir($FILEPATH . "/log/autoupdate/")) {
mkdir($FILEPATH . "/log/autoupdate/", 0777, true);
}

/**
 *                                         
 */
function startUpdate($form) {
global $runupdate;
$latest = get_latest_version();
$runupdate = get_latest_updatefilename();
}

/**
 *                                                  
 */
function setUpdatePolicy($form) {
global $UPDATE_POLICY, $ICO_SELFUPDATE_ANI;
$mup = $form->resolveComponent("main.updatepolicy");
$UPDATE_POLICY = $mup->getSingleSelection();
$ucheck = checkforupdates();

//                            
if (!$ucheck) {
return;
}
$latest = get_latest_version();
$cv = $form->resolveComponent("main.curversion");
$verText = prettyprint_gcnversion($latest);
if (strcasecmp($cv->getText(), $verText) < 0) {
$verText .= ' <img src="' . $ICO_SELFUPDATE_ANI . '" style="margin-bottom: -4px;" alt="' . i18n('Update available') . '" title="' . i18n('Update available') . '">';
}

$mlv = $form->resolveComponent("main.latestversion");
$mlv->setText($verText);
$startupdate = $form->getButton("startupdate");
if ($startupdate) {
$startupdate->setEnabled(
compare_gcnversion($latest, get_current_gcnversion()) == 1
);
}
}

/**
 *                                                    
 */
function displayUpdateProgress($form) {
global $STAG, $DO;
header("Location: $STAG&do=$DO&cmd=updateprogress");
}

/*
 *                         
 */
//                        
if ($im && $msg && $imto && $FEATURE["instantmessages"] && perm($USER_ID, T_INBOX, "", 2)) {
//                                            

if ( ! msg_interactive($msg, $imto, $USER_ID, 5) ) {
$JS .= global_validation_error_js_alert();
}

$instantMessageSent = true;
}
//                                   
if ($maintenanceMode && $FEATURE["maintenance_mode"] && perm($USER_ID, $T_MAINTENANCE, "", 1)) {
if ($maintenanceMode === "enable") {
setMaintenanceMode(true);
} else {
setMaintenanceMode(false);
}
}
//                                   
if ($automaticUpdate) {
setAutomaticUpdate($automaticUpdate);
}
/*
 *                
 */
//                           
$log = '';
if( $cmd == 'checkforupdates' ) {
$log .= "Checking for updates ...<br/>";
checkforupdates();
} else if ($cmd == 'downloadupdate') {
//                                        
downloadfile($updatefile);
} else if ($cmd == 'spawnupdate') {
if ($_SERVER["SERVER_NAME"] == "dev42.office") {
exec( "echo " . escapeshellarg("nohup $NODEPATH/sh.php --no-owner do=1040 cmd=update updateuser=$USER_ID SERVER_ADMIN=$SERVER_ADMIN BRANCHNAME=$BRANCHNAME updatefile=$updatefile " .
"CONFIGFILE=$CONFIGFILE 2>&1") . " | sh >> " . $FILEPATH . "/log/autoupdate/updatelog &");
} else {
exec( "echo " . escapeshellarg("nohup $NODEPATH/sh.php do=1040 cmd=update updateuser=$USER_ID updatefile=$updatefile " .
"CONFIGFILE=$CONFIGFILE 2>&1") . " | sh >> " . $FILEPATH . "/log/autoupdate/updatelog &");
}
$cmd = 'updateprogress';
} else if ($cmd == 'update') {
updatefromfile($updatefile, false);
} else if ($cmd == 'showlog' ) {
$log = file_get_contents("/Node/tmp/update.log");
} else if ($cmd == 'getprogress') {
//                                                              
$res = query("SELECT name, textvalue FROM nodesetup WHERE name IN ('selfupdate_error', 'selfupdate_status')");//            
if ($res["num"] > 0) {
foreach($res["arr"] as $key => $row) {
$ret[$row["name"]] = $row["textvalue"];
}
if ($ret["selfupdate_error"] != "") {
$errtext = i18n($ret["selfupdate_error"]);
} else {
$errtext = "";
}
//              
echo "{
	\"status\": \"" . $ret["selfupdate_status"] . "\",
	\"error\": \"" . $errtext . "\"
}";
}
exit();
} else if ($cmd == "autoupdate") {

//                            
if (AutoUpdateStatus::isUpdateRunning()) {
echo "update is currently in progress, not doing anything here\n";
exit(0);
}

echo "checking for new updates...\n";
//                                              
$filename = checkforupdates();
if (!$filename) {
echo "error while checking for updates. could not verify latest build.
exiting.\n";
exit(1);
}

//             
$version = get_current_gcnversion();
$latest = get_latest_version();

echo "installed version: " . prettyprint_gcnversion($version) . "\n";
echo "latest available version: " . prettyprint_gcnversion($latest) . "\n";
$updatesuccess = true;

if ($FEATURE["force_autoupdate"] || compare_gcnversion($latest, $version) === 1 && ($doupdate == "true" || $doupdate == "1")) {
//                   
echo "downloading update file\n";
downloadfile($filename, true);

//                                   
$changelog = displayChangelog($filename);

if ($clDisplayError) {
//                                                    
echo $changelog."\n";
exit(1);
}

//                                                                                       
if ( strpos ( $changelog, "class=\"manual\"" ) !== false && !$FEATURE["force_autoupdate"]) {
echo "ERROR: this update contains MANUAL CHANGES and cannot be applied automatically!\n";
echo "Use the AutoUpdate in the Content.Admin to do the update by hand.\n";
exit(1);
}

//                                        
if ($FEATURE["suspend_scheduler"] && !$FEATURE["force_autoupdate"]) {
echo "suspending scheduler\n";
$autoupdate_suspend_timeout = $AUTOUPDATE_SUSPEND_TIMEOUT ? $AUTOUPDATE_SUSPEND_TIMEOUT : 60*60;
$start = time();
//                                                 
Scheduler::suspend($RUNNING_JOB_ID);
$status = SCHEDULER_STATUS_RUNNING;
while ($status != SCHEDULER_STATUS_SUSPENDED) {
echo "checking scheduler status\n";
$status = Scheduler::getStatus();
if ($status != SCHEDULER_STATUS_SUSPENDED) {
sleep(10);
}
if ((time() - $start) > $autoupdate_suspend_timeout) {
echo "ERROR: timeout while waiting for suspending all scheduler tasks\n";
Scheduler::resume();
echo "resuming scheduler\n";
exit(1);
}
}
echo "suspended scheduler in ".(time() - $start)." s\n";
}

if ($message && $FEATURE["instantmessages"] && !$FEATURE["force_autoupdate"] ) {
//                                     
$USER_ID = 1;
echo "sending message to all users\n";

if ( ! msg_interactive($message, -1, 1, 5) ) {
$JS .= global_validation_error_js_alert();
}

}

//                                             
echo "running update\n";
$updatesuccess = updatefromfile($filename, false);

if ($updatesuccess) {
echo "update successfully done. see $log for details\n";
//                                                                              
checkforupdates();
} else {
//                       
echo "-- begin logfile ($log) --\n";
echo file_get_contents($log);
echo "-- end logfile --\n";

echo "update failed (see errors above)\n";
}

//                 
echo "resuming scheduler\n";
Scheduler::resume();
}

exit($updatesuccess ? 0 : 1);
}

/*
 *          
 */
node_class('htmlform3');
$form = new HtmlForm3("selfupdate");
if ($form->isNew()) {
//                                   
$ucheck = checkforupdates();

node_class("listcomponent");
node_class("textcomponent");
node_class("labelcomponent");
node_class("selectcomponent");

$main = new ListComponent();

//                  
$automaticupdate = new LabelComponent(i18n("automatic_update"), getAutomaticUpdateSwitch(), true);
$main->setComponent("automaticupdate", $automaticupdate);

//                                                                 
if ($UPDATE_FROM_LOCAL) {
$updatefromlocal = new LabelComponent(i18n("Update From Local"), $UPDATE_FROM_LOCAL);
$main->setComponent("updatefromlocal", $updatefromlocal);
}

$current = get_current_gcnversion();
$curversion = new LabelComponent(i18n("Current Version"), 
prettyprint_gcnversion($current)
);
$main->setComponent('curversion', $curversion);

$latest = get_latest_version();
$verText = '<span title="' . get_latest_updatefilename() . '">' . prettyprint_gcnversion($latest) . '</span>';
if (compare_gcnversion($latest, $current) === 1) {
$verText .= ' <img src="' . $ICO_SELFUPDATE_ANI . '" style="margin-bottom: -4px;" alt="' . i18n('Update available') . '" title="' . i18n('Update available') . '">';
}
if (!$ucheck) {
$verText = '<img style="margin-bottom: -5px;" src="' . $ICO_ALERT_ANI . '"> <span style="color: red">' . i18n('update_check_error') . '</span>';
}
$latestversion = new LabelComponent(i18n("Latest Version"), $verText, true);
$main->setComponent('latestversion', $latestversion);

$updateRunning = AutoUpdateStatus::isUpdateRunning();
if ($updateRunning) {
$btntxt = i18n("display_update_progress");
} else {
$btntxt = i18n("download_update");
}
$startUpdateButton = new Button($btntxt);
//                                                                                 
if (!$ucheck || compare_gcnversion($latest, $current) < 1) {
$startUpdateButton->setEnabled(false);
}

//                                                   
if ((($USER_ID == 1 || $FEATURE["autoupdate_policy"]) && !$UPDATE_FROM_LOCAL) && $ucheck) {
$policyComp = new SelectComponent(i18n("Update Policy"));
$policyComp->setAllowEmpty(false);
if ($USER_ID == 1) {
$policyComp->setOptions(array(
"released" => "released",
"testing" => "testing",
"nightly" => "nightly"
));
} else {
$policyComp->setOptions(array(
"released" => "released",
"testing" => "testing"
));
}
$policyComp->setSelection($UPDATE_POLICY);
$policyComp->setOnChangeAction(new SimpleFormAction("setUpdatePolicy"));
$main->setComponent('updatepolicy', $policyComp);
}

if ($updateRunning) {
$main->setComponent("udpate_in_progress_info", 
new LabelComponent("<img src=\"$ICO_INFO\">", i18n("update_in_progress_info"))
);
$form->addButton("display_update_progress", $startUpdateButton, new SimpleFormAction("displayUpdateProgress"), true);
} else {
$form->addButton("startupdate", $startUpdateButton, new SimpleFormAction("startUpdate"), true);
}
$form->setHeader(i18n("Update"), $ICO_USER);
$form->addComponent('main', $main);
}

node_class("sqldatasource");
node_class("itemlist3");
node_class("resultsetformatter");

//                  
class UpdateLogFormatter extends ResultsetFormatter {
function format($val, $param="") {
global $ICO_LOGACTION, $ICO_DELETE, $STAG, $DO, $ICO_BLANK;
$logfile = AutoUpdateStatus::getLogfile($val['date']);
if (file_exists($logfile)) {
return "<a href=\"$STAG&do=$DO&showlog=" . urlencode($val['date']) . "\">" . 
"<img border=0 src=\"$ICO_LOGACTION\" alt=\"" . i18n("show_log") . "\" title=\"" .
i18n("show_log") . "\" style=\"margin:1px;\"></a>";		
} else {
return "<img src=\"$ICO_BLANK\" height=\"18\" width=\"8\"/>-";
}
}
}

class UpdateStatusFormatter extends ResultsetFormatter {
function format($val, $param="") {
global $ICO_AJAXLOAD, $ICO_CHECK_ALL, $ICO_ALERT;
switch ($val['status']) {
case "in_progress":
return i18n("sn_jobstatus_running");
break;
case "done":
return "<span style=\"color: green\">OK</span>";
break;
case "error":
return "<span style=\"color: red\">" . i18n("Failed") . "</span>";
break;
}
}
}

class UpdateFileFormatter extends ResultsetFormatter {
function format($row, $param="") {
return preg_replace("/V(\d.\d+)-stable-([\d\w]+).zip/", "\\1, \\2", $row["updatefile"]);
}
}

class UserFormatter extends ResultsetFormatter {
function format($row, $param="") {
return htmlentities($row["user"]);
}
}

//               
//                                                     
if (!$showlog) {
//                        
$select = "a.date, a.updatefile, a.status, CONCAT(u.firstname, ' ', u.lastname) user ";
$from   = "autoupdatelog a LEFT JOIN systemuser u ON a.user_id = u.id";
$where = "1=1 ORDER BY a.date DESC";
$ds = new SQLDatasource( "autoupdatelog", $select, $from, $where );//            
$ds->setDBHandle( $DB );
$ds->addColumn( "date", i18n("date"), true, false );
$ds->addColumn( "updatefile", "Version", true, false );
$ds->addColumn( "user", i18n("user"), true, false );
$ds->addColumn( "status", i18n("status"), true, false );
$ds->addColumn( "log", "Log", true, false );
$ds->addFormatter("log", new UpdateLogFormatter());
$ds->addFormatter("status", new UpdateStatusFormatter());
$ds->addFormatter("updatefile", new UpdateFileFormatter());
$ds->addFormatter("user", new UserFormatter());
$ds->setDefaultSort("date","DESC");

//           
$updatelog = new ItemList3("logerror",$ds);
$updatelog->setNoHeader(true);
$updatelog->setShowInfo(true);

$updatefiles = getDownloadedUpdateFiles();
}

/**
 *                                             
 */
function getDownloadedUpdateFiles() {
global $tmpdir;

$files = scandir($tmpdir);
$updatefiles = array();
foreach( $files as $file ) {
if ( preg_match( "/V.*\.zip$/", $file ) ) {
$updatefiles[] = $file;
}
}
return $updatefiles;
}



/**
 *                                                        
 */
function getdownloadsize($handle) {
$meta = stream_get_meta_data( $handle );
//                                           
$headers = $meta['wrapper_data'];
$size = -1;
foreach( $headers as $header ) {
$h = split('\\s*:\\s*', $header);
if( $h[0] == 'Content-Length' ) {
$size = $h[1];
}
}
return $size;
}

/**
 *                                                                                              
 *                                             
 *                                                                                  
 *                                                     
 */
function downloadfile($filename, $silent = false) {
global $baseurl, $tmpdir, $log, $params, $UPDATE_FROM_LOCAL;

if ($UPDATE_FROM_LOCAL) {
if (copy("$UPDATE_FROM_LOCAL/$filename", "$tmpdir/$filename")) {
$log .= "taken update file $UPDATE_FROM_LOCAL/$filename<br/>";
return true;
} else {
$log .= "error while copying update file $UPDATE_FROM_LOCAL/$filename to $tmpdir/$filename<br/>";
return false;
}
}

//                                             
if (file_exists("$tmpdir/$filename")) {
return true;
}

//                                                                
$ufiles = getDownloadedUpdateFiles();
$ufiles_fullpath
= array_map(cb_cutleft('implode', ''),
array_zip(array_fill(0, count($ufiles), $tmpdir . '/'),
$ufiles));
unlink_old_files($ufiles_fullpath, 2);

if (!$silent) {
$progress = new Progress();
$progress->init();
}
$fh = fopen( "$baseurl/$filename$params", 'r' );
$fhout = fopen( "$tmpdir/$filename", 'w' );
$size = getdownloadsize($fh);
if (!$silent) {
$progress->start_size($size);
}
while( $data = fread($fh, 1024) ) {
//                  
ini_set("max_execution_time", 86400);
fwrite($fhout, $data);
if (!$silent) {
$progress->downloaded(strlen($data));
}
}
fclose($fhout);
fclose($fh);
if (!$silent) {
$progress->done();
}
$log .= "downloaded file ($size bytes)<br/>";
return true;
}

/**
 *                                                 
 *                           
 *                               
 *                      
 */
function updateexec($cmd, $logfile) {
$out = array();
return updateexecout($cmd, $out, $logfile);
}

/**
 *                            
 */
function updateexecout($cmd, &$output, $logfile) {
global $ERROR;

$fh = fopen( $logfile, 'a' );

$cmd = "exec 3<&2 ; exec 2<&1 ; " . $cmd . " ; x=$? ; exec 2<&3 ; exit \$x";

fwrite( $fh, date('c') . "  executing command $cmd\n" );

if ($output === NULL) {
$output = array();
}

exec($cmd, $output, $return_var);


if( $output ) {
fwrite( $fh, date('c') . "  Output: \n" . join("\n",$output) . "\n\n==========\n\n\n" );
}

fclose( $fh );
return $return_var;
}

/**
 *                                                      
 *                                                                            
 *                                                                    
 *                                                                    
 */
function updatefromfile($updatefile, $dryrun) {
global $tmpdir, $unzip, $untargz, $log;

$haserror = false;

$workdir = $tmpdir . '/work';
$extract = $workdir . '/extract';
$php = $workdir . '/php';
$java = $workdir . '/java';
$logfile = "$workdir/log.txt";
$nodedir = "/Node";

//                                         
$autoUpdateStatus = new AutoUpdateStatus($updatefile);
$log = $autoUpdateStatus->getLogfile();

if (updateexec( "rm -rf $workdir", $log )) {
$autoUpdateStatus->setError("error_rm_workdir");
return false;
}

//                                                     
@mkdir( $workdir, 0777, true );
@mkdir( $extract );
@mkdir( $php );
@mkdir( $java );

$autoUpdateStatus->setStatus("extracting");

//                  
if (updateexec( "cd $extract && $unzip $tmpdir/$updatefile ", $log )) {
$autoUpdateStatus->setError("error_extracting");
return false;
}

//                                      
if (updateexec( "test -d $extract/V*", $log)) {
$autoUpdateStatus->setError("error_extracting_dircheck");
return false;
}

//                                           
if (updateexec( "test -e $extract/V*/CNPortletapp*/CNPortletapp.war", $log)) {
$autoUpdateStatus->setError("error_extracting_warfiles");
return false;
}

//                                                                  
if (updateexec( "cd $php && $untargz `find $extract -name 'Node_*.tar.gz'` ", $log )) {
$autoUpdateStatus->setError("error_php_missing");
return false;
}

$rel = array();
exec( "ls $php", $rel);
$rel = $rel[0];

//                  
$mods = "find $php -name *.CHANGELOG -exec basename {} \; | sed \"s/.CHANGELOG//\" | xargs | sed \"s/ /\\;/g\"";
$cmd = "/Node/bin/php -q $php/$rel/changelog.php \"`$mods`\" /Node/etc/node.conf $nodedir/.node $php/$rel exec globals 3";

$autoUpdateStatus->setStatus("changelog");
if (updateexec( $cmd, $log)) {
$autoUpdateStatus->setError("error_changelog");
return false;
}

if( !$dryrun ) {
$autoUpdateStatus->setStatus("update_nodecore");
//           
if (updateexec( "cd $php/$rel && ./update.sh ", $log )) {
$autoUpdateStatus->setError("error_update_nodecore");
//             
$haserror = true;
}
}

//                                                              
$autoUpdateStatus->setStatus("update_java");

//                      
$cmd = "cp -r $nodedir/.nodejava $java ";
//                            
$cmd .= "&& rm -rf $java/.nodejava/webapps/* $java/.nodejava/shared/lib/* ";
//                                            
$cmd .= "&& cd $extract && cd V* && cd CNPo* ";
//                                 
$cmd .= "&& cp -f *.war $java/.nodejava/webapps ";
$cmd .= "&& cp -f gentics-por*.zip lib/* $java/.nodejava/shared/lib/ ";
$cmd .= "&& cd $java/.nodejava/shared/lib && $unzip gentics-por*.zip && rm *.zip ";
if (updateexec( $cmd, $log )) {
$autoUpdateStatus->setError("error_update_java");
//             
$haserror = true;
}

//                     
$cmd = "";
$cmd .= "rm -rf $nodedir/.nodejava_old ";
$cmd .= "&& mv $nodedir/.nodejava $nodedir/.nodejava_old";
$cmd .= "&& mv $java/.nodejava $nodedir/.nodejava";
if( !$dryrun) {
if (updateexec( $cmd, $log )) {
$autoUpdateStatus->setError("error_update_java_switchdir");
//             
$haserror = true;
}
} 

//               
$autoUpdateStatus->setStatus("restart_tomcat");

//                                                               
$cmd = "bash -c \"if which setsid > /dev/null ; then setsid /Node/bin/nodectl restart tomcat ; else echo 'WARNING - NO setsid found' >&2 ; /Node/bin/nodectl restart tomcat ; fi\"";
if( !$dryrun ) {
$stopped = time();
if (updateexec( $cmd, $log )) {
$autoUpdateStatus->setError("error_tomcat_restart");
//             
$haserror = true;
}
$duration = time() - $stopped;
$fh = fopen( $log, 'a' );
fwrite( $fh, "Tomcat was down for $duration seconds.\n");
fclose($fh);
}

//                                       
query("DELETE FROM nodesetup WHERE name = 'version'");
query("INSERT INTO nodesetup (name, textvalue) VALUES ('version', " . sql_str($updatefile) . ")");

$autoUpdateStatus->finish($haserror);
return !$haserror;
}

/**
 *                                                                                                   /                                                                     
 *                                          
 *                                                                                                       
 *                         /                                                            
 */
function extractChangelog($updatefile) {
global $tmpdir, $unzip, $log;

//                                           
updateexec("rm $tmpdir/changelog.html", $log);

//                            
$cmd = "cd $tmpdir && $unzip $tmpdir/$updatefile changelog.html";
if (updateexec($cmd, $log)) {
return false;
}

//                                            
$cmd = "test -e $tmpdir/changelog.html";
if (updateexec($cmd, $log)) {
return false;
}

//                                      
return "$tmpdir/changelog.html";
}

/**
 *                                    
 *                               
 *                              
 */
function displayChangelog($updateFile) {
global $clDisplayError;
$clFilename = extractChangelog($updateFile);
$manualChanges = false;
if ($clFilename) {
$cl = file($clFilename);
if (!is_array($cl) || count($cl) == 0) {
$clDisplayError = true;
return "<strong>" . i18n("udpate_broken_noclaccess") ."</strong>";
}
} else {
$clDisplayError = true;
return "<strong>" . i18n("udpate_broken_nocl") ."</strong>";
}

//                                                      
$add = false;
$out = "<div class=\"changelog\">\n";
while (list($k,$line) = each($cl)) {
$out .= $line;
}
$out .= "</div>";

if ($manualChanges) {
$out .= "
<script type=\"text/javascript\">
jQuery('#manualChanges').fadeIn('normal');
</script>";
}
return $out;
}

/**
 *                                                                     
 */
function getAutomaticUpdateSwitch() {
$aajob = getAutomaticUpdateJob();
if (!$aajob) {
return '<span style="color: red">' . i18n("autoupdate_configerror") . '</span>';
}
$active = false;
if ($aajob['jobstatus'] == 1 && $aajob['taskparamvalue'] == 'true') {
//                     
$active = true;
}

$out = "<input title=\"" . i18n('automatic_updates_help') . "\" type=\"checkbox\" id=\"automaticUpdates\" onClick=\"toggleAutomaticUpdates(this);\"";
if ($active) {
$out .= " checked=\"true\"";
$color = "green";
$label = "active";
} else {
$color = "red";
$label = "sn_jobstatus_inactive";
}
$out .=	"/>&nbsp;";
$out .= "<span style=\"color: $color;\" title=\"" . i18n('automatic_updates_help') . "\">";
$out .= i18n($label);
$out .= "</span>";
return $out;
}

/**
 *                
 *                                                                                 
 *                                 
 *                              
 */
function displayLogfile($logfile) {
$log = file_get_contents(AutoUpdateStatus::getLogfile($logfile));
$replacements = array(
//                    
chr(0x001B) => '', //    
'[80C' => '',
'[9D' => '',
'[1m' => '',
'[31m' => '<span class="log_warn">', //              
'[32m' => '<span class="log_done">', //           
'[33m' => '<span class="log_attn">', //                
'[m' . chr(0x000F) => '</span>', //                     
//                   
'SUCCESS:' => '<span class="log_success">SUCCESS:</span>',
'ERROR:' => '<span class="log_error">ERROR:</span>',
'FAILED:' => '<span class="log_error">FAILED:</span>',
'INFO:' => '<span class="log_info">INFO:</span>',
//                     
"\n" => "<br/>\n"
);
$log = str_replace(array_keys($replacements), array_values($replacements), $log);
return $log;
}

/**
 *                                               
 *                                                    
 *                                                                             
 *                                                                            
 */
function getAutomaticUpdateJob() {
$sql = "SELECT j.id jobid, j.status jobstatus, tp.id taskparamid, tp.value taskparamvalue 
FROM tasktemplate tt 
INNER JOIN tasktemplateparam ttp ON tt.id = ttp.tasktemplate_id AND ttp.name = 'doupdate'
INNER JOIN task t ON tt.command LIKE '%do=1040%' AND tt.id = t.tasktemplate_id 
INNER JOIN taskparam tp ON ttp.id = tp.templateparam_id 
INNER JOIN job j ON t.id = j.task_id;";
$res = query($sql);//            
if ($res["num"] == 0 || $res["num"] > 1) {
//                                                  
return false;
}
return $res["arr"][0];
}

function setAutomaticUpdate($switchTo) {
$aajob = getAutomaticUpdateJob();
if ($aajob) {
if ($switchTo === 'enable') {
//                                                          
query("UPDATE taskparam SET value = 'true' WHERE id = " . sqlf_tl_num($aajob['taskparamid']));//            
//                                       
query("UPDATE job SET status = 1 WHERE id = " . sqlf_tl_num($aajob["jobid"]));//            
} else {
//                                                          
query("UPDATE taskparam SET value = 'false' WHERE id = " . sqlf_tl_num($aajob['taskparamid']));//            
}
}
}

/**
 *                                                               
 */
class AutoUpdateStatus {

/**
  *                                   
  */
var $udpateFile;

/**
  *                        
  *            
  */
var $updateTimestamp;

/**
  *                                
  */
var $autoupdatelogId = -1;

/**
  *                  
  */
function AutoUpdateStatus($updatefile) {
$this->__construct($updatefile);
}

/**
  *                                            
  */
function __construct($updatefile) {
global $updateuser;
if (!$updateuser) $updateuser = -1;
$this->updateFile = $updatefile;
$this->updateTimestamp = date("Y-m-d H:i:s");
$this->cleanup();
//                              
$res = query(//            
"INSERT INTO autoupdatelog (date, updatefile, status, user_id) VALUES ('" . sqlf_escaped($this->updateTimestamp) . "'," .
"'".sqlf_escaped($updatefile)."', 'in_progress', ".sqlf_tl_num($updateuser).")");
$this->autoupdatelogId = $res["iid"];
}

/**
  *                     
  *                                    
  */
function getLogfile($myTimestamp=false) {
global $FILEPATH;
if ($myTimestamp) {
$timestamp = $myTimestamp;
} else {
$timestamp = $this->updateTimestamp;
}
//                                                          
$ts = str_replace(array(' ', ':'), array('_', '-'), $timestamp);
return "$FILEPATH/log/autoupdate/update-$ts.log";
}

/**
  *                          
  */
function cleanup() {
query("DELETE FROM nodesetup WHERE name IN ('selfupdate_status', 'selfupdate_error')");//            
//                                               
query("INSERT INTO nodesetup (name, textvalue) VALUES ('selfupdate_status', 'init')");//            
}

/**
  *                       
  *                                                               
  */
function setStatus($status) {
query("UPDATE nodesetup SET textvalue = '".sqlf_escaped($status)."' WHERE name = 'selfupdate_status'");//            
}

/**
  *                                  
  *                                             
  */
function setError($error) {
query("INSERT INTO nodesetup (name, textvalue) VALUES ('selfupdate_error', '".sqlf_escaped($error)."')");//            
query("UPDATE autoupdatelog SET status = 'error' WHERE id = " . sqlf_tl_num($this->autoupdatelogId));//            
}

/**
  *                                              
  *                         
  *                                                                  
  */
function isUpdateRunning() {
$res = query("SELECT textvalue FROM nodesetup WHERE name = 'selfupdate_error'");//            
//                                                        
if ($res["num"] > 0) {
return false;
}
$res = query("SELECT textvalue FROM nodesetup WHERE name = 'selfupdate_status'");//            
if ($res["num"] == 0) {
return false;
} else {
if ($res["arr"][0]["textvalue"] == "done") {
return false;
}
}
return true;
}

/**
  *                          
  *                                                                  
  */
function finish($haserror=false) {
if ($haserror) {
$status = 'error';
} else {
$status = 'done';
}
$this->setStatus($status);
query("UPDATE autoupdatelog SET status = '".sqlf_escaped($status)."' WHERE id = " . sqlf_tl_num($this->autoupdatelogId));//            
}
}

/**
 *                                                                
 *                                
 *
 *                                                 
 *                                                
 *                    
 */
function unlink_old_files($fnames, $keep)
{
$fnames_stat  = array_column(array_map('stat', $fnames), 'ctime');

//                                                          
$fnames_order = array_zip($fnames_stat, $fnames);
usort($fnames_order, 'schwarzian_cmp');
$fnames = array_column($fnames_order, 1);

//                                                              
//              
foreach (array_slice($fnames, 0, -$keep) as $fname) {
unlink($fname);
}
}

?>